package cn.iocoder.yudao.module.wealth.convert.commissionPayable;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.wealth.vo.commissionPayable.*;
import cn.iocoder.yudao.module.wealth.dal.dataobject.commissionPayable.CommissionPayableDO;

/**
 * 订单佣金应付款 Convert
 * @author 郑屹
 */
@Mapper
public interface CommissionPayableConvert {
    /*****转换MapStruct*****/
    CommissionPayableConvert INSTANCE = Mappers.getMapper(CommissionPayableConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    CommissionPayableDO convert(CommissionPayableCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    CommissionPayableDO convert(CommissionPayableUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    CommissionPayableBackVO convert(CommissionPayableDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<CommissionPayableBackVO> convertList(List<CommissionPayableDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<CommissionPayableBackVO> convertPage(PageResult<CommissionPayableDO> page);
}
