package cn.iocoder.yudao.module.wealth.convert.commissionPayment;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.wealth.vo.commissionPayment.*;
import cn.iocoder.yudao.module.wealth.dal.dataobject.commissionPayment.CommissionPaymentDO;

/**
 * 佣金付款单 Convert
 * @author 郑屹
 */
@Mapper
public interface CommissionPaymentConvert {
    /*****转换MapStruct*****/
    CommissionPaymentConvert INSTANCE = Mappers.getMapper(CommissionPaymentConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    CommissionPaymentDO convert(CommissionPaymentCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    CommissionPaymentDO convert(CommissionPaymentUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    CommissionPaymentBackVO convert(CommissionPaymentDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<CommissionPaymentBackVO> convertList(List<CommissionPaymentDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<CommissionPaymentBackVO> convertPage(PageResult<CommissionPaymentDO> page);
}
