package cn.iocoder.yudao.module.wealth.convert.payable;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.wealth.vo.payable.*;
import cn.iocoder.yudao.module.wealth.dal.dataobject.payable.PayableDO;

/**
 * 应付款 Convert
 * @author 郑屹
 */
@Mapper
public interface PayableConvert {
    /*****转换MapStruct*****/
    PayableConvert INSTANCE = Mappers.getMapper(PayableConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    PayableDO convert(PayableCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    PayableDO convert(PayableUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    PayableBackVO convert(PayableDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<PayableBackVO> convertList(List<PayableDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<PayableBackVO> convertPage(PageResult<PayableDO> page);
}
