package cn.iocoder.yudao.module.wealth.convert.payment;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.wealth.vo.payment.*;
import cn.iocoder.yudao.module.wealth.dal.dataobject.payment.PaymentDO;

/**
 * 付款单 Convert
 * @author 郑屹
 */
@Mapper
public interface PaymentConvert {
    /*****转换MapStruct*****/
    PaymentConvert INSTANCE = Mappers.getMapper(PaymentConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    PaymentDO convert(PaymentCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    PaymentDO convert(PaymentUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    PaymentBackVO convert(PaymentDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<PaymentBackVO> convertList(List<PaymentDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<PaymentBackVO> convertPage(PageResult<PaymentDO> page);
}
