package cn.iocoder.yudao.module.wealth.convert.paymentApproval;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.wealth.dal.dataobject.paymentApproval.PaymentApprovalDO;
import cn.iocoder.yudao.module.wealth.vo.paymentApproval.PaymentApprovalBackVO;
import cn.iocoder.yudao.module.wealth.vo.paymentApproval.PaymentApprovalCreateReqVO;
import cn.iocoder.yudao.module.wealth.vo.paymentApproval.PaymentApprovalUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 付款单审核 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface PaymentApprovalConvert {
    /*****转换MapStruct*****/
    PaymentApprovalConvert INSTANCE = Mappers.getMapper(PaymentApprovalConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    PaymentApprovalDO convert(PaymentApprovalCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    PaymentApprovalDO convert(PaymentApprovalUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
     */
    PaymentApprovalBackVO convert(PaymentApprovalDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<PaymentApprovalBackVO> convertList(List<PaymentApprovalDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<PaymentApprovalBackVO> convertPage(PageResult<PaymentApprovalDO> page);
}
