package cn.iocoder.yudao.module.wealth.convert.receipt;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.wealth.vo.receipt.*;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receipt.ReceiptDO;

/**
 * 收款单 Convert
 * @author 郑屹
 */
@Mapper
public interface ReceiptConvert {
    /*****转换MapStruct*****/
    ReceiptConvert INSTANCE = Mappers.getMapper(ReceiptConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    ReceiptDO convert(ReceiptCreateReqVO bean);
    /***
     * 返回VO转实体
     * @param bean
     * @return
     */
    ReceiptDO convert(ReceiptBackVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    ReceiptDO convert(ReceiptUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    ReceiptBackVO convert(ReceiptDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ReceiptBackVO> convertList(List<ReceiptDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ReceiptBackVO> convertPage(PageResult<ReceiptDO> page);
}
