package cn.iocoder.yudao.module.wealth.convert.receiptAccount;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.wealth.vo.receiptAccount.*;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receiptAccount.ReceiptAccountDO;

/**
 * 收款单收款账户 Convert
 * @author 系统管理员
 */
@Mapper
public interface ReceiptAccountConvert {
    /*****转换MapStruct*****/
    ReceiptAccountConvert INSTANCE = Mappers.getMapper(ReceiptAccountConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    ReceiptAccountDO convert(ReceiptAccountCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    ReceiptAccountDO convert(ReceiptAccountUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    ReceiptAccountBackVO convert(ReceiptAccountDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ReceiptAccountBackVO> convertList(List<ReceiptAccountDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ReceiptAccountBackVO> convertPage(PageResult<ReceiptAccountDO> page);
}
