package cn.iocoder.yudao.module.wealth.convert.receiptApproval;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receiptApproval.ReceiptApprovalDO;
import cn.iocoder.yudao.module.wealth.vo.receiptApproval.ReceiptApprovalBackVO;
import cn.iocoder.yudao.module.wealth.vo.receiptApproval.ReceiptApprovalCreateReqVO;
import cn.iocoder.yudao.module.wealth.vo.receiptApproval.ReceiptApprovalUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 收款单或者收款明细审核 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface ReceiptApprovalConvert {
    /*****转换MapStruct*****/
    ReceiptApprovalConvert INSTANCE = Mappers.getMapper(ReceiptApprovalConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    ReceiptApprovalDO convert(ReceiptApprovalCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    ReceiptApprovalDO convert(ReceiptApprovalUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
     */
    ReceiptApprovalBackVO convert(ReceiptApprovalDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ReceiptApprovalBackVO> convertList(List<ReceiptApprovalDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ReceiptApprovalBackVO> convertPage(PageResult<ReceiptApprovalDO> page);
}
