package cn.iocoder.yudao.module.wealth.convert.receiptItem;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receiptItem.ReceiptItemDO;
import cn.iocoder.yudao.module.wealth.vo.receiptItem.ReceiptItemBackVO;
import cn.iocoder.yudao.module.wealth.vo.receiptItem.ReceiptItemCreateReqVO;
import cn.iocoder.yudao.module.wealth.vo.receiptItem.ReceiptItemUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 收款单明细 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface ReceiptItemConvert {
    /*****转换MapStruct*****/
    ReceiptItemConvert INSTANCE = Mappers.getMapper(ReceiptItemConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    ReceiptItemDO convert(ReceiptItemCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    ReceiptItemDO convert(ReceiptItemUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
     */
    ReceiptItemBackVO convert(ReceiptItemDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ReceiptItemBackVO> convertList(List<ReceiptItemDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ReceiptItemBackVO> convertPage(PageResult<ReceiptItemDO> page);
}
