package cn.iocoder.yudao.module.wealth.convert.receivableDiscount;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receivableDiscount.ReceivableDiscountDO;
import cn.iocoder.yudao.module.wealth.vo.receivableDiscount.ReceivableDiscountBackVO;
import cn.iocoder.yudao.module.wealth.vo.receivableDiscount.ReceivableDiscountCreateReqVO;
import cn.iocoder.yudao.module.wealth.vo.receivableDiscount.ReceivableDiscountUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 应收款优惠信息 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface ReceivableDiscountConvert {
    /*****转换MapStruct*****/
    ReceivableDiscountConvert INSTANCE = Mappers.getMapper(ReceivableDiscountConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    ReceivableDiscountDO convert(ReceivableDiscountCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    ReceivableDiscountDO convert(ReceivableDiscountUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
     */
    ReceivableDiscountBackVO convert(ReceivableDiscountDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ReceivableDiscountBackVO> convertList(List<ReceivableDiscountDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ReceivableDiscountBackVO> convertPage(PageResult<ReceivableDiscountDO> page);
}
