package cn.iocoder.yudao.module.wealth.dal.dataobject.commissionPayable;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订单佣金应付款 DO
 *
 * @author 郑屹
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_commission_payable")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CommissionPayableDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 自编号
     */
    private String payableNo;
    /**
     * 付款单id
     */
    private Long paymentId;
    /**
     * 付款单号
     */
    private String paymentNo;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 订单号
     */
    private String orderNo;
    /**
     * 订单商品ID
     */
    private Long orderItemId;
    /**
     * 商品中文名
     */
    private String titleZh;
    /**
     * 商品英文名
     */
    private String titleEn;
    /**
     * 数量
     */
    private Integer quantity;
    /**
     * 箱数
     */
    private Integer num;
    /**
     * 体积/重量
     */
    private BigDecimal weight;
    /**
     * 体积
     */
    private BigDecimal volume;
    /**
     * 单价
     */
    private BigDecimal unitPrice;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 佣金费用类型(字典:commission_fee_type)
     */
    private Integer feeType;
    /**
     * 金额
     */
    private BigDecimal totalAmount;
    /**
     * 币货币id
     */
    private Long currencyId;
    /**
     * 备注
     */
    private String remark;
    /**
     * 汇率
     */
    private String exchangeRate;
    /**
     * 税率
     */
    private BigDecimal taxRate;
    /**
     * 税价合计
     */
    private BigDecimal total;
    /**
     * 收款状态（0未付款，1付款中，2已付款）
     */
    private Integer state;
    /**
     * 数据来源（pc端，mobile端）
     */
    private String source;
    /**
     * 操作步骤
     */
    private Long stepsId;
    /**
     * 额外费用
     */
    private Integer extraCost;
    /**
     * 发票号
     */
    private String invoiceNumber;
    /**
     * 始发地仓库ID
     */
    private Long startWarehouseId;
    /**
     * 目的地仓库ID
     */
    private Long destWarehouseId;
    /**
     * 运输方式
     */
    private Long transportId;


    /**
     * 请款单修改时应付是否被剔除
     */
    @TableField(exist = false)
    private Boolean del = Boolean.TRUE;

}
