package cn.iocoder.yudao.module.wealth.dal.dataobject.commissionPayment;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 佣金付款单 DO
 *
 * @author 郑屹
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_commission_payment")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CommissionPaymentDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 付款单号
     */
    private String paymentNo;
    /**
     * 部门Id
     */
    private Long departmentId;
    /**
     * 部门名称
     */
    private String departmentName;
    /**
     * 业务员
     */
    private Long salesmanId;
    /**
     * 业务员名称
     */
    private String salesmanName;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 客户银行
     */
    private String customerBank;
    /**
     * 客户银行账号
     */
    private String customerBankAccount;
    /**
     * 客户银行账户名
     */
    private String customerBankAccountName;
    /**
     * 账户类型
     */
    private String customerAccountType;
    /**
     * 银行代码
     */
    private String customerBankCode;
    /**
     * 银行地址
     */
    private String customerBankAddress;

    /**
     * 申请日期
     */
    private Date applicationAt;
    /**
     * 最迟付款日
     */
    private Date latestPayAt;
    /**
     * 账单号
     */
    private String accountNumber;
    /**
     * 发票状态（0未开票，1已开票）
     */
    private Integer invoiceStatus;
    /**
     * 发票号
     */
    private String invoiceNumber;
    /**
     * 付款单状态（1待审核，2已审核待核销，3已核销）
     */
    private Integer state;
    /**
     * 付款单添加人id
     */
    private Long paymentAddId;
    /**
     * 付款单添加人名称
     */
    private String paymentAddBy;
    /**
     * 审核人id
     */
    private Long reviewId;
    /**
     * 审核人名称
     */
    private String reviewName;
    /**
     * 核销人id
     */
    private Long writeOffId;
    /**
     * 核销人名称
     */
    private String writeOffName;
    /**
     * 审核日期
     */
    private Date reviewAt;
    /**
     * 核销日期
     */
    private Date writeOffAt;
    /**
     * 数据来源（pc端，mobile端）
     */
    private String source;
    /**
     * 结算方式
     */
    private Integer settlementType;
    /**
     * 审批建议
     */
    private String comment;


    /**
     * 流程状态：1 处理中 2 通过 3 不通过 4 取消
     */
    private Integer bmpStatus;

    /**
     * 当前流程ID
     */
    private String bmpId;
}
