package cn.iocoder.yudao.module.wealth.dal.dataobject.payable;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * 应付款 DO
 *
 * @author 郑屹
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_payable")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PayableDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;

    /**
     * 自编号
     */
    private String payableNo;

    /**
     * 付款单id
     */
    private Long paymentId;
    /**
     * 付款单号
     */
    private String paymentNo;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 订单号
     */
    private String orderNo;
    /**
     * 供应商id
     */
    private Long supplierId;
    /**
     * 供应商名称
     */
    private String supplierName;
    /**
     * 费用类型(字典:payable_fee_type)
     */
    private Long feeType;
    /**
     * 金额
     */
    private java.math.BigDecimal totalAmount;
    /**
     * 币货币id
     */
    private Long currencyId;
    /**
     * 备注
     */
    private String remark;
    /**
     * 汇率
     */
    private String exchangeRate;
    /**
     * 税率
     */
    private java.math.BigDecimal taxRate;
    /**
     * 税价合计
     */
    private java.math.BigDecimal total;
    /**
     * 收款状态（0未付款，1付款中，2已付款）
     */
    private Integer state;
    /**
     * 数据来源（pc端，mobile端）
     */
    private String source;
    /**
     * 操作步骤
     */
    private Long stepsId;
    /**
     * 额外费用
     */
    private Integer extraCost;
    /**
     * 货柜id
     */
    private Long containerId;
    /**
     * 货柜号
     */
    private String containerNo;
    /**
     * 发票号
     */
    private String invoiceNumber;

    /**
     * 始发地
     */
    private Long startWarehouseId;

    /**
     * 目的地
     */
    private Long destWarehouseId;

    /**
     * 运输方式
     */
    private Long transportId;

    /**
     * 出货费ID
     */
    private Long shippingFeeId;

    /*
     费用产生时间
     */
    private Date freecsdate;

}
