package cn.iocoder.yudao.module.wealth.dal.dataobject.payment;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.Date;

/**
 * 付款单 DO
 *
 * @author 郑屹
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_payment")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PaymentDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 付款单号
     */
    private String paymentNo;
    /**
     * 部门Id
     */
    private Long departmentId;
    /**
     * 部门名称
     */
    private String departmentName;
    /**
     * 业务员
     */
    private Long salesmanId;
    /**
     * 业务员名称
     */
    private String salesmanName;
    /**
     * 供应商id
     */
    private Long supplierId;
    /**
     * 供应商名称
     */
    private String supplierName;
    /**
     * 供应商银行
     */
    private String supplierBank;
    /**
     * 供应商银行账号
     */
    private String supplierBankAccount;
    /**
     * 供应商银行账户名
     */
    private String supplierBankAccountName;
    /**
     * 申请日期
     */
    private Date applicationAt;
    /**
     * 最迟付款日
     */
    private Date latestPayAt;
    /**
     * 账单号
     */
    private String accountNumber;
    /**
     * 发票状态（0未开票，1已开票）
     */
    private Integer invoiceStatus;
    /**
     * 发票号
     */
    private String invoiceNumber;
    /**
     * 付款单状态（1待审核，2已审核待核销，3审批驳回,4已核销）
     */
    private Integer state;
    /**
     * 付款单添加人id
     */
    private Long paymentAddId;
    /**
     * 付款单添加人名称
     */
    private String paymentAddBy;
    /**
     * 审核人id
     */
    private Long reviewId;
    /**
     * 审核人名称
     */
    private String reviewName;
    /**
     * 核销人id
     */
    private Long writeOffId;
    /**
     * 核销人名称
     */
    private String writeOffName;
    /**
     * 审核日期
     */
    private Date reviewAt;
    /**
     * 核销日期
     */
    private Date writeOffAt;
    /**
     * 数据来源（pc端，mobile端）
     */
    private String source;
    /**
     * 结算方式
     */
    private Integer settlementType;
    /**
     * 流程状态
     */
    private Integer bmpStatus;
    /**
     * 当前流程ID
     */
    private String bmpId;

    /**
     * 驳回原因
     */
    private String comment;

    /*
   原来的付款备注没有保存
   */
    @ApiModelProperty(value = "付款备注")
    private String reason;

    /*
     实际付款时间
     */
    private Date sjfkdate;

    private String fkren;

    /*
     核销时间
     */
    private  Date hexiaodate;

    /*
     编辑付款单时的备注
     */
    private String editreason;

    /*
     附件路径
     */
    private String filepath;

}
