package cn.iocoder.yudao.module.wealth.dal.dataobject.paymentApproval;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 付款单审核 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_payment_approval")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PaymentApprovalDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 付款单ID
     */
    private Long paymentId;
    /**
     * 付款单编号
     */
    private String paymentNo;
    /**
     * 申请理由
     */
    private String reason;
    /**
     * 流程表单实例ID
     */
    private String bmpId;
    /**
     * 流程实例KEY类型参考:WorkFlowEmus
     */
    private String bmpKey;
    /**
     * 状态：1 处理中 2 通过 3 不通过 4 取消
     */
    private Integer status;
    /**
     * 处理结果
     */
    private String processingResults;

}
