package cn.iocoder.yudao.module.wealth.dal.dataobject.receiptAccount;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 收款单收款账户 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_receipt_account")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ReceiptAccountDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 收款单Id
     */
    private Long receiptId;
    /**
     * 货币id
     */
    private Long currencyId;

    /**
     * 应收金额
     */
    private BigDecimal receivableAmount;

    /**
     * 核销基准金额汇率
     */
    private BigDecimal writeOffRate;

    /**
     * 核销基准金额
     */
    private BigDecimal writeOffAmount;

    /**
     * 平台收款账户id
     */
    private Integer platformAccountId;
    /**
     * 平台收款账户
     */
    private String platformAccountNo;
    /**
     * 平台收款账户名称
     */
    private String platformAccountName;

    /**
     * 平台收款账户銀行名称
     */
    private String platformAccountBlankName;

    /**
     * 收款货币id
     */
    private Long collectionCurrencyId;

    /**
     * 收款汇率
     */
    private BigDecimal collectionRate;

    /**
     * 收款金额
     */
    private BigDecimal collectionAmount;

}
