package cn.iocoder.yudao.module.wealth.dal.dataobject.receiptApproval;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 收款单或者收款明细审核 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_receipt_approval")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ReceiptApprovalDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 收款单ID
     */
    private Long receiptId;
    /**
     * 收款单编号
     */
    private String receiptNo;
    /**
     * 收款单ID
     */
    private Long receiptItemId;
    /**
     * 流程表单实例ID
     */
    private String bmpId;
    /**
     * 流程实例KEY类型参考:WorkFlowEmus
     */
    private String bmpKey;
    /**
     * 申请原因
     */
    private String reason;
    /**
     * 状态：1 处理中 2 通过 3 不通过 4 取消
     */
    private Integer status;
    /**
     * 处理结果
     */
    private String processingResults;

}
