package cn.iocoder.yudao.module.wealth.dal.dataobject.receivableDiscount;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 应收款优惠信息 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_receivable_discount")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ReceivableDiscountDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 应收款ID
     */
    private Long receivableId;
    /**
     * 优惠金额
     */
    private java.math.BigDecimal discountTotal;
    /**
     * 优惠备注
     */
    private String discountRemark;
    /**
     * 创建人姓名
     */
    private String creatorName;

}
