package cn.iocoder.yudao.module.wealth.dal.mysql.commissionPayable;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.wealth.dal.dataobject.commissionPayable.CommissionPayableDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.wealth.vo.payable.PayableBackVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.wealth.vo.commissionPayable.*;
import org.apache.ibatis.annotations.Param;

/**
 * 订单佣金应付款 Mapper
 * @author 郑屹
 */
@Mapper
public interface CommissionPayableMapper extends AbstractMapper<CommissionPayableDO> {
    @Override
    default PageResult<CommissionPayableDO> selectPage(PageVO page, Object object) {
        if (object instanceof CommissionPayableQueryVO) {
            CommissionPayableQueryVO vo = (CommissionPayableQueryVO)object;
            return selectPage(page, new LambdaQuery<CommissionPayableDO>()
                .eqIfPresent(CommissionPayableDO::getPayableNo, vo.getPayableNo())
                .eqIfPresent(CommissionPayableDO::getPaymentId, vo.getPaymentId())
                .eqIfPresent(CommissionPayableDO::getPaymentNo, vo.getPaymentNo())
                .eqIfPresent(CommissionPayableDO::getOrderId, vo.getOrderId())
                .eqIfPresent(CommissionPayableDO::getOrderNo, vo.getOrderNo())
                .eqIfPresent(CommissionPayableDO::getOrderItemId, vo.getOrderItemId())
                .eqIfPresent(CommissionPayableDO::getCustomerId, vo.getCustomerId())
                .likeIfPresent(CommissionPayableDO::getCustomerName, vo.getCustomerName())
                .eqIfPresent(CommissionPayableDO::getFeeType, vo.getFeeType())
                .eqIfPresent(CommissionPayableDO::getTotalAmount, vo.getTotalAmount())
                .eqIfPresent(CommissionPayableDO::getCurrencyId, vo.getCurrencyId())
                .eqIfPresent(CommissionPayableDO::getRemark, vo.getRemark())
                .eqIfPresent(CommissionPayableDO::getExchangeRate, vo.getExchangeRate())
                .eqIfPresent(CommissionPayableDO::getTaxRate, vo.getTaxRate())
                .eqIfPresent(CommissionPayableDO::getTotal, vo.getTotal())
                .eqIfPresent(CommissionPayableDO::getState, vo.getState())
                .eqIfPresent(CommissionPayableDO::getSource, vo.getSource())
                .eqIfPresent(CommissionPayableDO::getStepsId, vo.getStepsId())
                .eqIfPresent(CommissionPayableDO::getExtraCost, vo.getExtraCost())
                .eqIfPresent(CommissionPayableDO::getInvoiceNumber, vo.getInvoiceNumber())
                .betweenIfPresent(CommissionPayableDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                .eqIfPresent(CommissionPayableDO::getStartWarehouseId, vo.getStartWarehouseId())
                .eqIfPresent(CommissionPayableDO::getDestWarehouseId, vo.getDestWarehouseId())
                .eqIfPresent(CommissionPayableDO::getTransportId, vo.getTransportId())
                    .orderByDesc(CommissionPayableDO::getId));
        }

        return null;
    }

    @Override
    default List<CommissionPayableDO> selectList(Object object) {
        if (object instanceof CommissionPayableQueryVO) {
            CommissionPayableQueryVO vo = (CommissionPayableQueryVO)object;
            return selectList(new LambdaQuery<CommissionPayableDO>()
                .eqIfPresent(CommissionPayableDO::getPayableNo, vo.getPayableNo())
                .eqIfPresent(CommissionPayableDO::getPaymentId, vo.getPaymentId())
                .eqIfPresent(CommissionPayableDO::getPaymentNo, vo.getPaymentNo())
                .eqIfPresent(CommissionPayableDO::getOrderId, vo.getOrderId())
                .eqIfPresent(CommissionPayableDO::getOrderNo, vo.getOrderNo())
                .eqIfPresent(CommissionPayableDO::getOrderItemId, vo.getOrderItemId())
                .eqIfPresent(CommissionPayableDO::getCustomerId, vo.getCustomerId())
                .likeIfPresent(CommissionPayableDO::getCustomerName, vo.getCustomerName())
                .eqIfPresent(CommissionPayableDO::getFeeType, vo.getFeeType())
                .eqIfPresent(CommissionPayableDO::getTotalAmount, vo.getTotalAmount())
                .eqIfPresent(CommissionPayableDO::getCurrencyId, vo.getCurrencyId())
                .eqIfPresent(CommissionPayableDO::getRemark, vo.getRemark())
                .eqIfPresent(CommissionPayableDO::getExchangeRate, vo.getExchangeRate())
                .eqIfPresent(CommissionPayableDO::getTaxRate, vo.getTaxRate())
                .eqIfPresent(CommissionPayableDO::getTotal, vo.getTotal())
                .eqIfPresent(CommissionPayableDO::getState, vo.getState())
                .eqIfPresent(CommissionPayableDO::getSource, vo.getSource())
                .eqIfPresent(CommissionPayableDO::getStepsId, vo.getStepsId())
                .eqIfPresent(CommissionPayableDO::getExtraCost, vo.getExtraCost())
                .eqIfPresent(CommissionPayableDO::getInvoiceNumber, vo.getInvoiceNumber())
                .betweenIfPresent(CommissionPayableDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                .eqIfPresent(CommissionPayableDO::getStartWarehouseId, vo.getStartWarehouseId())
                .eqIfPresent(CommissionPayableDO::getDestWarehouseId, vo.getDestWarehouseId())
                .eqIfPresent(CommissionPayableDO::getTransportId, vo.getTransportId())
                    .orderByDesc(CommissionPayableDO::getId));
        }

        return null;
    }

    IPage<CommissionPayableBackVO> getCommissionPayablePage(@Param("mpPage") IPage<CommissionPayableBackVO> mpPage, @Param("query") CommissionPayableQueryVO query);

    List<CommissionPayableBackVO> getCommissionPayableList(@Param("query") CommissionPayableQueryVO query);
}
