package cn.iocoder.yudao.module.wealth.dal.mysql.commissionPayment;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.wealth.dal.dataobject.commissionPayment.CommissionPaymentDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.wealth.vo.commissionPayable.CommissionPayableBackVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.wealth.vo.commissionPayment.*;
import org.apache.ibatis.annotations.Param;

/**
 * 佣金付款单 Mapper
 * @author 郑屹
 */
@Mapper
public interface CommissionPaymentMapper extends AbstractMapper<CommissionPaymentDO> {
    @Override
    default PageResult<CommissionPaymentDO> selectPage(PageVO page, Object object) {
        if (object instanceof CommissionPaymentQueryVO) {
            CommissionPaymentQueryVO vo = (CommissionPaymentQueryVO)object;
            return selectPage(page, new LambdaQuery<CommissionPaymentDO>()
                .eqIfPresent(CommissionPaymentDO::getPaymentNo, vo.getPaymentNo())
                .eqIfPresent(CommissionPaymentDO::getDepartmentId, vo.getDepartmentId())
                .likeIfPresent(CommissionPaymentDO::getDepartmentName, vo.getDepartmentName())
                .eqIfPresent(CommissionPaymentDO::getSalesmanId, vo.getSalesmanId())
                .likeIfPresent(CommissionPaymentDO::getSalesmanName, vo.getSalesmanName())
                .eqIfPresent(CommissionPaymentDO::getCustomerId, vo.getCustomerId())
                .likeIfPresent(CommissionPaymentDO::getCustomerName, vo.getCustomerName())
                .eqIfPresent(CommissionPaymentDO::getCustomerBank, vo.getCustomerBank())
                .eqIfPresent(CommissionPaymentDO::getCustomerBankAccount, vo.getCustomerBankAccount())
                .likeIfPresent(CommissionPaymentDO::getCustomerBankAccountName, vo.getCustomerBankAccountName())
                .eqIfPresent(CommissionPaymentDO::getApplicationAt, vo.getApplicationAt())
                .eqIfPresent(CommissionPaymentDO::getLatestPayAt, vo.getLatestPayAt())
                .eqIfPresent(CommissionPaymentDO::getAccountNumber, vo.getAccountNumber())
                .eqIfPresent(CommissionPaymentDO::getInvoiceStatus, vo.getInvoiceStatus())
                .eqIfPresent(CommissionPaymentDO::getInvoiceNumber, vo.getInvoiceNumber())
                .eqIfPresent(CommissionPaymentDO::getState, vo.getState())
                .eqIfPresent(CommissionPaymentDO::getPaymentAddId, vo.getPaymentAddId())
                .eqIfPresent(CommissionPaymentDO::getPaymentAddBy, vo.getPaymentAddBy())
                .eqIfPresent(CommissionPaymentDO::getReviewId, vo.getReviewId())
                .likeIfPresent(CommissionPaymentDO::getReviewName, vo.getReviewName())
                .eqIfPresent(CommissionPaymentDO::getWriteOffId, vo.getWriteOffId())
                .likeIfPresent(CommissionPaymentDO::getWriteOffName, vo.getWriteOffName())
                .eqIfPresent(CommissionPaymentDO::getReviewAt, vo.getReviewAt())
                .eqIfPresent(CommissionPaymentDO::getWriteOffAt, vo.getWriteOffAt())
                .eqIfPresent(CommissionPaymentDO::getSource, vo.getSource())
                .eqIfPresent(CommissionPaymentDO::getSettlementType, vo.getSettlementType())
                .betweenIfPresent(CommissionPaymentDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(CommissionPaymentDO::getId));
        }

        return null;
    }

    @Override
    default List<CommissionPaymentDO> selectList(Object object) {
        if (object instanceof CommissionPaymentQueryVO) {
            CommissionPaymentQueryVO vo = (CommissionPaymentQueryVO)object;
            return selectList(new LambdaQuery<CommissionPaymentDO>()
                .eqIfPresent(CommissionPaymentDO::getPaymentNo, vo.getPaymentNo())
                .eqIfPresent(CommissionPaymentDO::getDepartmentId, vo.getDepartmentId())
                .likeIfPresent(CommissionPaymentDO::getDepartmentName, vo.getDepartmentName())
                .eqIfPresent(CommissionPaymentDO::getSalesmanId, vo.getSalesmanId())
                .likeIfPresent(CommissionPaymentDO::getSalesmanName, vo.getSalesmanName())
                .eqIfPresent(CommissionPaymentDO::getCustomerId, vo.getCustomerId())
                .likeIfPresent(CommissionPaymentDO::getCustomerName, vo.getCustomerName())
                .eqIfPresent(CommissionPaymentDO::getCustomerBank, vo.getCustomerBank())
                .eqIfPresent(CommissionPaymentDO::getCustomerBankAccount, vo.getCustomerBankAccount())
                .likeIfPresent(CommissionPaymentDO::getCustomerBankAccountName, vo.getCustomerBankAccountName())
                .eqIfPresent(CommissionPaymentDO::getApplicationAt, vo.getApplicationAt())
                .eqIfPresent(CommissionPaymentDO::getLatestPayAt, vo.getLatestPayAt())
                .eqIfPresent(CommissionPaymentDO::getAccountNumber, vo.getAccountNumber())
                .eqIfPresent(CommissionPaymentDO::getInvoiceStatus, vo.getInvoiceStatus())
                .eqIfPresent(CommissionPaymentDO::getInvoiceNumber, vo.getInvoiceNumber())
                .eqIfPresent(CommissionPaymentDO::getState, vo.getState())
                .eqIfPresent(CommissionPaymentDO::getPaymentAddId, vo.getPaymentAddId())
                .eqIfPresent(CommissionPaymentDO::getPaymentAddBy, vo.getPaymentAddBy())
                .eqIfPresent(CommissionPaymentDO::getReviewId, vo.getReviewId())
                .likeIfPresent(CommissionPaymentDO::getReviewName, vo.getReviewName())
                .eqIfPresent(CommissionPaymentDO::getWriteOffId, vo.getWriteOffId())
                .likeIfPresent(CommissionPaymentDO::getWriteOffName, vo.getWriteOffName())
                .eqIfPresent(CommissionPaymentDO::getReviewAt, vo.getReviewAt())
                .eqIfPresent(CommissionPaymentDO::getWriteOffAt, vo.getWriteOffAt())
                .eqIfPresent(CommissionPaymentDO::getSource, vo.getSource())
                .eqIfPresent(CommissionPaymentDO::getSettlementType, vo.getSettlementType())
                .betweenIfPresent(CommissionPaymentDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(CommissionPaymentDO::getId));
        }

        return null;
    }

    List<CommissionPaymentBackVO> getCommissionPaymentList(@Param("query") CommissionPaymentQueryVO query);

    IPage<CommissionPaymentBackVO> getCommissionPaymentPage(@Param("mpPage") IPage<CommissionPaymentBackVO> mpPage, @Param("query") CommissionPaymentQueryVO query);

    CommissionPaymentBackVO info(@Param("id") Long id);
}
