package cn.iocoder.yudao.module.wealth.dal.mysql.payable;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.wealth.dal.dataobject.payable.PayableDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.wealth.vo.payable.*;
import org.apache.ibatis.annotations.Param;

/**
 * 应付款 Mapper
 * @author 郑屹
 */
@Mapper
public interface PayableMapper extends AbstractMapper<PayableDO> {

    IPage<PayableBackVO> selectListPage(IPage<PayableOrderBackVo> page, @Param(Constants.WRAPPER) Wrapper queryWrapper);

    @Override
    default PageResult<PayableDO> selectPage(PageVO page, Object object) {
        if (object instanceof PayableQueryVO) {
            PayableQueryVO vo = (PayableQueryVO)object;
            return selectPage(page, new LambdaQuery<PayableDO>()
                .eqIfPresent(PayableDO::getPaymentId, vo.getPaymentId())
                .eqIfPresent(PayableDO::getPaymentNo, vo.getPaymentNo())
                .eqIfPresent(PayableDO::getOrderId, vo.getOrderId())
                .eqIfPresent(PayableDO::getOrderNo, vo.getOrderNo())
                .eqIfPresent(PayableDO::getSupplierId, vo.getSupplierId())
                .likeIfPresent(PayableDO::getSupplierName, vo.getSupplierName())
                .eqIfPresent(PayableDO::getFeeType, vo.getFeeType())
                .eqIfPresent(PayableDO::getTotalAmount, vo.getTotalAmount())
                .eqIfPresent(PayableDO::getCurrencyId, vo.getCurrencyId())
                .eqIfPresent(PayableDO::getRemark, vo.getRemark())
                .eqIfPresent(PayableDO::getExchangeRate, vo.getExchangeRate())
                .eqIfPresent(PayableDO::getTaxRate, vo.getTaxRate())
                .eqIfPresent(PayableDO::getTotal, vo.getTotal())
                .eqIfPresent(PayableDO::getState, vo.getState())
                .eqIfPresent(PayableDO::getSource, vo.getSource())
                .eqIfPresent(PayableDO::getStepsId, vo.getStepsId())
                .eqIfPresent(PayableDO::getExtraCost, vo.getExtraCost())
                .eqIfPresent(PayableDO::getContainerId, vo.getContainerId())
                .eqIfPresent(PayableDO::getContainerNo, vo.getContainerNo())
                .eqIfPresent(PayableDO::getInvoiceNumber, vo.getInvoiceNumber())
                .betweenIfPresent(PayableDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(PayableDO::getId));
        }

        return null;
    }

    @Override
    default List<PayableDO> selectList(Object object) {
        if (object instanceof PayableQueryVO) {
            PayableQueryVO vo = (PayableQueryVO)object;
            return selectList(new LambdaQuery<PayableDO>()
                .eqIfPresent(PayableDO::getPaymentId, vo.getPaymentId())
                .eqIfPresent(PayableDO::getPaymentNo, vo.getPaymentNo())
                .eqIfPresent(PayableDO::getOrderId, vo.getOrderId())
                .eqIfPresent(PayableDO::getOrderNo, vo.getOrderNo())
                .eqIfPresent(PayableDO::getSupplierId, vo.getSupplierId())
                .likeIfPresent(PayableDO::getSupplierName, vo.getSupplierName())
                .eqIfPresent(PayableDO::getFeeType, vo.getFeeType())
                .eqIfPresent(PayableDO::getTotalAmount, vo.getTotalAmount())
                .eqIfPresent(PayableDO::getCurrencyId, vo.getCurrencyId())
                .eqIfPresent(PayableDO::getRemark, vo.getRemark())
                .eqIfPresent(PayableDO::getExchangeRate, vo.getExchangeRate())
                .eqIfPresent(PayableDO::getTaxRate, vo.getTaxRate())
                .eqIfPresent(PayableDO::getTotal, vo.getTotal())
                .eqIfPresent(PayableDO::getState, vo.getState())
                .eqIfPresent(PayableDO::getSource, vo.getSource())
                .eqIfPresent(PayableDO::getStepsId, vo.getStepsId())
                .eqIfPresent(PayableDO::getExtraCost, vo.getExtraCost())
                .eqIfPresent(PayableDO::getContainerId, vo.getContainerId())
                .eqIfPresent(PayableDO::getContainerNo, vo.getContainerNo())
                .eqIfPresent(PayableDO::getInvoiceNumber, vo.getInvoiceNumber())
                .betweenIfPresent(PayableDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(PayableDO::getId));
        }

        return null;
    }
}
