package cn.iocoder.yudao.module.wealth.dal.mysql.payment;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.wealth.dal.dataobject.payment.PaymentDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.wealth.vo.payment.*;

/**
 * 付款单 Mapper
 * @author 郑屹
 */
@Mapper
public interface PaymentMapper extends AbstractMapper<PaymentDO> {
    @Override
    default PageResult<PaymentDO> selectPage(PageVO page, Object object) {
        if (object instanceof PaymentQueryVO) {
            PaymentQueryVO vo = (PaymentQueryVO)object;
            return selectPage(page, new LambdaQuery<PaymentDO>()
                .eqIfPresent(PaymentDO::getPaymentNo, vo.getPaymentNo())
                .eqIfPresent(PaymentDO::getDepartmentId, vo.getDepartmentId())
                .likeIfPresent(PaymentDO::getDepartmentName, vo.getDepartmentName())
                .eqIfPresent(PaymentDO::getSalesmanId, vo.getSalesmanId())
                .likeIfPresent(PaymentDO::getSalesmanName, vo.getSalesmanName())
                .eqIfPresent(PaymentDO::getSupplierId, vo.getSupplierId())
                .likeIfPresent(PaymentDO::getSupplierName, vo.getSupplierName())
                .eqIfPresent(PaymentDO::getSupplierBank, vo.getSupplierBank())
                .eqIfPresent(PaymentDO::getSupplierBankAccount, vo.getSupplierBankAccount())
                .eqIfPresent(PaymentDO::getApplicationAt, vo.getApplicationAt())
                .eqIfPresent(PaymentDO::getLatestPayAt, vo.getLatestPayAt())
                .eqIfPresent(PaymentDO::getAccountNumber, vo.getAccountNumber())
                .eqIfPresent(PaymentDO::getInvoiceStatus, vo.getInvoiceStatus())
                .eqIfPresent(PaymentDO::getInvoiceNumber, vo.getInvoiceNumber())
                .eqIfPresent(PaymentDO::getState, vo.getState())
                .eqIfPresent(PaymentDO::getPaymentAddId, vo.getPaymentAddId())
                .eqIfPresent(PaymentDO::getPaymentAddBy, vo.getPaymentAddBy())
                .eqIfPresent(PaymentDO::getReviewId, vo.getReviewId())
                .likeIfPresent(PaymentDO::getReviewName, vo.getReviewName())
                .eqIfPresent(PaymentDO::getWriteOffId, vo.getWriteOffId())
                .likeIfPresent(PaymentDO::getWriteOffName, vo.getWriteOffName())
                .eqIfPresent(PaymentDO::getReviewAt, vo.getReviewAt())
                .eqIfPresent(PaymentDO::getWriteOffAt, vo.getWriteOffAt())
                .eqIfPresent(PaymentDO::getSource, vo.getSource())
                .eqIfPresent(PaymentDO::getSettlementType, vo.getSettlementType())
                .betweenIfPresent(PaymentDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(PaymentDO::getId));
        }

        return null;
    }

    @Override
    default List<PaymentDO> selectList(Object object) {
        if (object instanceof PaymentQueryVO) {
            PaymentQueryVO vo = (PaymentQueryVO)object;
            return selectList(new LambdaQuery<PaymentDO>()
                .eqIfPresent(PaymentDO::getPaymentNo, vo.getPaymentNo())
                .eqIfPresent(PaymentDO::getDepartmentId, vo.getDepartmentId())
                .likeIfPresent(PaymentDO::getDepartmentName, vo.getDepartmentName())
                .eqIfPresent(PaymentDO::getSalesmanId, vo.getSalesmanId())
                .likeIfPresent(PaymentDO::getSalesmanName, vo.getSalesmanName())
                .eqIfPresent(PaymentDO::getSupplierId, vo.getSupplierId())
                .likeIfPresent(PaymentDO::getSupplierName, vo.getSupplierName())
                .eqIfPresent(PaymentDO::getSupplierBank, vo.getSupplierBank())
                .eqIfPresent(PaymentDO::getSupplierBankAccount, vo.getSupplierBankAccount())
                .eqIfPresent(PaymentDO::getApplicationAt, vo.getApplicationAt())
                .eqIfPresent(PaymentDO::getLatestPayAt, vo.getLatestPayAt())
                .eqIfPresent(PaymentDO::getAccountNumber, vo.getAccountNumber())
                .eqIfPresent(PaymentDO::getInvoiceStatus, vo.getInvoiceStatus())
                .eqIfPresent(PaymentDO::getInvoiceNumber, vo.getInvoiceNumber())
                .eqIfPresent(PaymentDO::getState, vo.getState())
                .eqIfPresent(PaymentDO::getPaymentAddId, vo.getPaymentAddId())
                .eqIfPresent(PaymentDO::getPaymentAddBy, vo.getPaymentAddBy())
                .eqIfPresent(PaymentDO::getReviewId, vo.getReviewId())
                .likeIfPresent(PaymentDO::getReviewName, vo.getReviewName())
                .eqIfPresent(PaymentDO::getWriteOffId, vo.getWriteOffId())
                .likeIfPresent(PaymentDO::getWriteOffName, vo.getWriteOffName())
                .eqIfPresent(PaymentDO::getReviewAt, vo.getReviewAt())
                .eqIfPresent(PaymentDO::getWriteOffAt, vo.getWriteOffAt())
                .eqIfPresent(PaymentDO::getSource, vo.getSource())
                .eqIfPresent(PaymentDO::getSettlementType, vo.getSettlementType())
                .betweenIfPresent(PaymentDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(PaymentDO::getId));
        }

        return null;
    }
}
