package cn.iocoder.yudao.module.wealth.dal.mysql.paymentApproval;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.wealth.dal.dataobject.paymentApproval.PaymentApprovalDO;
import cn.iocoder.yudao.module.wealth.vo.paymentApproval.PaymentApprovalQueryVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 付款单审核 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface PaymentApprovalMapper extends AbstractMapper<PaymentApprovalDO> {
    @Override
    default PageResult<PaymentApprovalDO> selectPage(PageVO page, Object object) {
        if (object instanceof PaymentApprovalQueryVO) {
            PaymentApprovalQueryVO vo = (PaymentApprovalQueryVO) object;
            return selectPage(page, new LambdaQuery<PaymentApprovalDO>()
                    .eqIfPresent(PaymentApprovalDO::getPaymentId, vo.getPaymentId())
                    .eqIfPresent(PaymentApprovalDO::getPaymentNo, vo.getPaymentNo())
                    .eqIfPresent(PaymentApprovalDO::getBmpId, vo.getBmpId())
                    .eqIfPresent(PaymentApprovalDO::getBmpKey, vo.getBmpKey())
                    .eqIfPresent(PaymentApprovalDO::getStatus, vo.getStatus())
                    .eqIfPresent(PaymentApprovalDO::getProcessingResults, vo.getProcessingResults())
                    .betweenIfPresent(PaymentApprovalDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(PaymentApprovalDO::getId));
        }

        return null;
    }

    @Override
    default List<PaymentApprovalDO> selectList(Object object) {
        if (object instanceof PaymentApprovalQueryVO) {
            PaymentApprovalQueryVO vo = (PaymentApprovalQueryVO) object;
            return selectList(new LambdaQuery<PaymentApprovalDO>()
                    .eqIfPresent(PaymentApprovalDO::getPaymentId, vo.getPaymentId())
                    .eqIfPresent(PaymentApprovalDO::getPaymentNo, vo.getPaymentNo())
                    .eqIfPresent(PaymentApprovalDO::getBmpId, vo.getBmpId())
                    .eqIfPresent(PaymentApprovalDO::getBmpKey, vo.getBmpKey())
                    .eqIfPresent(PaymentApprovalDO::getStatus, vo.getStatus())
                    .eqIfPresent(PaymentApprovalDO::getProcessingResults, vo.getProcessingResults())
                    .betweenIfPresent(PaymentApprovalDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(PaymentApprovalDO::getId));
        }

        return null;
    }
}
