package cn.iocoder.yudao.module.wealth.dal.mysql.receipt;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receipt.ReceiptDO;
import cn.iocoder.yudao.module.wealth.vo.commissionPayable.CommissionPayableBackVO;
import cn.iocoder.yudao.module.wealth.vo.commissionPayable.CommissionPayableQueryVO;
import cn.iocoder.yudao.module.wealth.vo.receipt.OrderVo;
import cn.iocoder.yudao.module.wealth.vo.receipt.ReceiptBackVO;
import cn.iocoder.yudao.module.wealth.vo.receipt.ReceiptExportDto;
import cn.iocoder.yudao.module.wealth.vo.receipt.ReceiptQueryVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 收款单 Mapper
 *
 * @author 郑屹
 */
@Mapper
public interface ReceiptMapper extends AbstractMapper<ReceiptDO> {
    @Override
    default PageResult<ReceiptDO> selectPage(PageVO page, Object object) {
        if (object instanceof ReceiptQueryVO) {
            ReceiptQueryVO vo = (ReceiptQueryVO) object;
            return selectPage(page, new LambdaQuery<ReceiptDO>().eqIfPresent(ReceiptDO::getReceiptNo, vo.getReceiptNo()).eqIfPresent(ReceiptDO::getDepartmentId, vo.getDepartmentId()).likeIfPresent(ReceiptDO::getDepartmentName, vo.getDepartmentName()).eqIfPresent(ReceiptDO::getSalesmanId, vo.getSalesmanId()).likeIfPresent(ReceiptDO::getSalesmanName, vo.getSalesmanName()).eqIfPresent(ReceiptDO::getCustomerId, vo.getCustomerId()).likeIfPresent(ReceiptDO::getCustomerName, vo.getCustomerName()).eqIfPresent(ReceiptDO::getRemark, vo.getRemark()).eqIfPresent(ReceiptDO::getCurrencyId, vo.getCurrencyId()).eqIfPresent(ReceiptDO::getFeeRate, vo.getFeeRate()).eqIfPresent(ReceiptDO::getInvoice, vo.getInvoice()).eqIfPresent(ReceiptDO::getTaxpayer, vo.getTaxpayer()).eqIfPresent(ReceiptDO::getAccountBank, vo.getAccountBank()).likeIfPresent(ReceiptDO::getAccountName, vo.getAccountName()).likeIfPresent(ReceiptDO::getProjectName, vo.getProjectName()).eqIfPresent(ReceiptDO::getTaxRate, vo.getTaxRate()).eqIfPresent(ReceiptDO::getAddressPhone, vo.getAddressPhone()).eqIfPresent(ReceiptDO::getPayedAt, vo.getPayedAt()).eqIfPresent(ReceiptDO::getInvoiceNumber, vo.getInvoiceNumber()).eqIfPresent(ReceiptDO::getInvoicingTypeId, vo.getInvoicingTypeId()).eqIfPresent(ReceiptDO::getInvoicingType, vo.getInvoicingType()).eqIfPresent(ReceiptDO::getInvoicingRemark, vo.getInvoicingRemark()).eqIfPresent(ReceiptDO::getNoticeAdminId, vo.getNoticeAdminId()).likeIfPresent(ReceiptDO::getNoticeAdminName, vo.getNoticeAdminName()).eqIfPresent(ReceiptDO::getPayeeId, vo.getPayeeId()).likeIfPresent(ReceiptDO::getPayeeName, vo.getPayeeName()).eqIfPresent(ReceiptDO::getWriteOffId, vo.getWriteOffId()).likeIfPresent(ReceiptDO::getWriteOffName, vo.getWriteOffName()).eqIfPresent(ReceiptDO::getIssuerId, vo.getIssuerId()).likeIfPresent(ReceiptDO::getIssuerName, vo.getIssuerName()).eqIfPresent(ReceiptDO::getState, vo.getState()).eqIfPresent(ReceiptDO::getWriteOffAt, vo.getWriteOffAt()).eqIfPresent(ReceiptDO::getInvoicingAt, vo.getInvoicingAt()).eqIfPresent(ReceiptDO::getSource, vo.getSource()).betweenIfPresent(ReceiptDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime()).orderByDesc(ReceiptDO::getId));
        }

        return null;
    }

    @Override
    default List<ReceiptDO> selectList(Object object) {
        if (object instanceof ReceiptQueryVO) {
            ReceiptQueryVO vo = (ReceiptQueryVO) object;
            return selectList(new LambdaQuery<ReceiptDO>().eqIfPresent(ReceiptDO::getReceiptNo, vo.getReceiptNo()).eqIfPresent(ReceiptDO::getDepartmentId, vo.getDepartmentId()).likeIfPresent(ReceiptDO::getDepartmentName, vo.getDepartmentName()).eqIfPresent(ReceiptDO::getSalesmanId, vo.getSalesmanId()).likeIfPresent(ReceiptDO::getSalesmanName, vo.getSalesmanName()).eqIfPresent(ReceiptDO::getCustomerId, vo.getCustomerId()).likeIfPresent(ReceiptDO::getCustomerName, vo.getCustomerName()).eqIfPresent(ReceiptDO::getRemark, vo.getRemark()).eqIfPresent(ReceiptDO::getCurrencyId, vo.getCurrencyId()).eqIfPresent(ReceiptDO::getFeeRate, vo.getFeeRate()).eqIfPresent(ReceiptDO::getInvoice, vo.getInvoice()).eqIfPresent(ReceiptDO::getTaxpayer, vo.getTaxpayer()).eqIfPresent(ReceiptDO::getAccountBank, vo.getAccountBank()).likeIfPresent(ReceiptDO::getAccountName, vo.getAccountName()).likeIfPresent(ReceiptDO::getProjectName, vo.getProjectName()).eqIfPresent(ReceiptDO::getTaxRate, vo.getTaxRate()).eqIfPresent(ReceiptDO::getAddressPhone, vo.getAddressPhone()).eqIfPresent(ReceiptDO::getPayedAt, vo.getPayedAt()).eqIfPresent(ReceiptDO::getInvoiceNumber, vo.getInvoiceNumber()).eqIfPresent(ReceiptDO::getInvoicingTypeId, vo.getInvoicingTypeId()).eqIfPresent(ReceiptDO::getInvoicingType, vo.getInvoicingType()).eqIfPresent(ReceiptDO::getInvoicingRemark, vo.getInvoicingRemark()).eqIfPresent(ReceiptDO::getNoticeAdminId, vo.getNoticeAdminId()).likeIfPresent(ReceiptDO::getNoticeAdminName, vo.getNoticeAdminName()).eqIfPresent(ReceiptDO::getPayeeId, vo.getPayeeId()).likeIfPresent(ReceiptDO::getPayeeName, vo.getPayeeName()).eqIfPresent(ReceiptDO::getWriteOffId, vo.getWriteOffId()).likeIfPresent(ReceiptDO::getWriteOffName, vo.getWriteOffName()).eqIfPresent(ReceiptDO::getIssuerId, vo.getIssuerId()).likeIfPresent(ReceiptDO::getIssuerName, vo.getIssuerName()).eqIfPresent(ReceiptDO::getState, vo.getState()).eqIfPresent(ReceiptDO::getWriteOffAt, vo.getWriteOffAt()).eqIfPresent(ReceiptDO::getInvoicingAt, vo.getInvoicingAt()).eqIfPresent(ReceiptDO::getSource, vo.getSource()).betweenIfPresent(ReceiptDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime()).orderByDesc(ReceiptDO::getId));
        }

        return null;
    }


    /**
     * @param receiptId 付款单ID
     * @return 付款单详情开票信息
     */
    @ResultType(ReceiptBackVO.class)
    @Select({"select r.*, ", "c.invoice_title as invoice,", "c.license_number as taxpayer,", "c.bank as account_bank,", "c.bank_number as account_name,", "c.tax_rate as tax_rate,", "c.project as project_name,", "concat(c.billing_address, '-', c.billing_tell) as address_phone", "from ecw_receipt r", "left join ecw_customer c", "on r.customer_id = c.id", "where r.deleted = 0 ", "and r.id = #{receiptId} ",})
    ReceiptBackVO getInvoicingInfo(@Param("receiptId") Long receiptId);

    /**
     * @param orderId 订单ID
     * @return 得到自编号
     */
    @ResultType(OrderVo.class)
    @Select({"select r.customer_id,r.container_number,w.guojia as country from ecw_order r  LEFT JOIN ecw_warehouse_line l ON r.line_id = l.id  left join ecw_warehouse w on l.dest_warehouse_id = w.id    where r.deleted = 0  and r.order_id = #{orderId}"})
    OrderVo getContainerNumberByOrderId(@Param("orderId") Long orderId);


    /**
     * @param orderId 订单ID
     * @return 得到自编号
     */
    @ResultType(ReceiptExportDto.class)
    @Select({"SELECT" +
            " ew.title_zh as origin_Warehouse," +
            " r.title_zh as dest_port_Zh," +
            " r.title_en as dest_port_En," +
            " er.title_zh as dest_Country_zh," +
            " er.title_en as dest_Country_en " +
            " FROM" +
            " ecw_warehouse_line s" +
            " LEFT JOIN ecw_warehouse ew ON s.start_warehouse_id = ew.id" +
            " LEFT JOIN ecw_warehouse es ON s.dest_warehouse_id = es.id" +
            " LEFT JOIN ecw_region r ON es.shi = r.id" +
            " LEFT JOIN ecw_region er ON es.guojia = er.id" +
            " WHERE" +
            " s.id =(" +
            " SELECT" +
            " o.line_id " +
            " FROM" +
            " ecw_order o " +
            "WHERE " +
            "o.order_id = #{orderId}" +
            ") "})
    ReceiptExportDto getReceiptExportByOrderId(@Param("orderId") Long orderId);


    IPage<ReceiptBackVO> getReceiptBackPage(@Param("mpPage") IPage<ReceiptBackVO> mpPage, @Param("query") ReceiptQueryVO query);


}
