package cn.iocoder.yudao.module.wealth.dal.mysql.receiptApproval;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receiptApproval.ReceiptApprovalDO;
import cn.iocoder.yudao.module.wealth.vo.receiptApproval.ReceiptApprovalQueryVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 收款单或者收款明细审核 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface ReceiptApprovalMapper extends AbstractMapper<ReceiptApprovalDO> {
    @Override
    default PageResult<ReceiptApprovalDO> selectPage(PageVO page, Object object) {
        if (object instanceof ReceiptApprovalQueryVO) {
            ReceiptApprovalQueryVO vo = (ReceiptApprovalQueryVO) object;
            return selectPage(page, new LambdaQuery<ReceiptApprovalDO>()
                    .eqIfPresent(ReceiptApprovalDO::getReceiptId, vo.getReceiptId())
                    .eqIfPresent(ReceiptApprovalDO::getReceiptNo, vo.getReceiptNo())
                    .eqIfPresent(ReceiptApprovalDO::getReceiptItemId, vo.getReceiptItemId())
                    .eqIfPresent(ReceiptApprovalDO::getBmpId, vo.getBmpId())
                    .eqIfPresent(ReceiptApprovalDO::getBmpKey, vo.getBmpKey())
                    .eqIfPresent(ReceiptApprovalDO::getStatus, vo.getStatus())
                    .eqIfPresent(ReceiptApprovalDO::getProcessingResults, vo.getProcessingResults())
                    .betweenIfPresent(ReceiptApprovalDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(ReceiptApprovalDO::getId));
        }

        return null;
    }

    @Override
    default List<ReceiptApprovalDO> selectList(Object object) {
        if (object instanceof ReceiptApprovalQueryVO) {
            ReceiptApprovalQueryVO vo = (ReceiptApprovalQueryVO) object;
            return selectList(new LambdaQuery<ReceiptApprovalDO>()
                    .eqIfPresent(ReceiptApprovalDO::getReceiptId, vo.getReceiptId())
                    .eqIfPresent(ReceiptApprovalDO::getReceiptNo, vo.getReceiptNo())
                    .eqIfPresent(ReceiptApprovalDO::getReceiptItemId, vo.getReceiptItemId())
                    .eqIfPresent(ReceiptApprovalDO::getBmpId, vo.getBmpId())
                    .eqIfPresent(ReceiptApprovalDO::getBmpKey, vo.getBmpKey())
                    .eqIfPresent(ReceiptApprovalDO::getStatus, vo.getStatus())
                    .eqIfPresent(ReceiptApprovalDO::getProcessingResults, vo.getProcessingResults())
                    .betweenIfPresent(ReceiptApprovalDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(ReceiptApprovalDO::getId));
        }

        return null;
    }
}
