package cn.iocoder.yudao.module.wealth.dal.mysql.receivableDiscount;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receivableDiscount.ReceivableDiscountDO;
import cn.iocoder.yudao.module.wealth.vo.receivableDiscount.ReceivableDiscountQueryVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 应收款优惠信息 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface ReceivableDiscountMapper extends AbstractMapper<ReceivableDiscountDO> {
    @Override
    default PageResult<ReceivableDiscountDO> selectPage(PageVO page, Object object) {
        if (object instanceof ReceivableDiscountQueryVO) {
            ReceivableDiscountQueryVO vo = (ReceivableDiscountQueryVO) object;
            return selectPage(page, new LambdaQuery<ReceivableDiscountDO>()
                    .eqIfPresent(ReceivableDiscountDO::getReceivableId, vo.getReceivableId())
                    .eqIfPresent(ReceivableDiscountDO::getDiscountTotal, vo.getDiscountTotal())
                    .eqIfPresent(ReceivableDiscountDO::getDiscountRemark, vo.getDiscountRemark())
                    .likeIfPresent(ReceivableDiscountDO::getCreatorName, vo.getCreatorName())
                    .betweenIfPresent(ReceivableDiscountDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(ReceivableDiscountDO::getId));
        }

        return null;
    }

    @Override
    default List<ReceivableDiscountDO> selectList(Object object) {
        if (object instanceof ReceivableDiscountQueryVO) {
            ReceivableDiscountQueryVO vo = (ReceivableDiscountQueryVO) object;
            return selectList(new LambdaQuery<ReceivableDiscountDO>()
                    .eqIfPresent(ReceivableDiscountDO::getReceivableId, vo.getReceivableId())
                    .eqIfPresent(ReceivableDiscountDO::getDiscountTotal, vo.getDiscountTotal())
                    .eqIfPresent(ReceivableDiscountDO::getDiscountRemark, vo.getDiscountRemark())
                    .likeIfPresent(ReceivableDiscountDO::getCreatorName, vo.getCreatorName())
                    .betweenIfPresent(ReceivableDiscountDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(ReceivableDiscountDO::getId));
        }

        return null;
    }
}
