package cn.iocoder.yudao.module.wealth.enums;


//1预装，2封柜，3卸柜，4预装反审，5报关全退，6报关部分退，7卸柜反审核
public enum BoxApprovalTypeEnum {
    //预装
    PRELOAD(1, "预装"),
    //装柜
    SEALING_CABINET(2, "装柜"),
    //卸柜
    UNLOAD_CABINET(3, "卸柜"),
    //预装反审
    PRELOAD_UMPIRE(4, "预装反审"),
    //报关全退
    CUSTOMS_FULL_REFUND(5, "报关全退"),
    //报关部分退
    CUSTOMS_PART_REFUND(6, "报关部分退"),
    //卸柜反审
    UNLOAD_UMPIRE(7, "卸柜反审"),
    //拆单
    SPLIT_ORDER(8, "拆单"),
    //封柜反审
    SEALING_CABINET_UMPIRE(9, "封柜反审"),
    // 报关部分退场后，对部分退场订单进行可能的拆单业务
    PART_REFUND_SPLIT_ORDER(10, "部分退场拆单"),
    //删单退场审核
    DELETE_EXIT(11, "删单退场"),

    AIR_SORTING(13, "排单分拣"),
    AIR_SORTING_BACK(14, "排单分拣反审"),

    AIR_TO_WAREHOUSE(15, "到仓"),
    AIR_TO_WAREHOUSE_BACK(16, "到仓反审"),

    AIR_SHIPMENT(17, "出货"),

    BATCH_ADD_PRICE(18, "批量加价"),

    AIR_SHIPMENT_BACK(19, "出货反审"),
    DELETE_EXIT_SPLIT_ORDER(20, "删单退场拆单"),

    CLEARANCE_BACK(21, "撤销清关"),
    ;



    private int type;

    private String text;

    BoxApprovalTypeEnum(int type, String text) {
        this.type = type;
        this.text = text;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static BoxApprovalTypeEnum getApprovalTypeByTypeValue(int typeValue) {
        BoxApprovalTypeEnum[] values = BoxApprovalTypeEnum.values();
        for (BoxApprovalTypeEnum boxApprovalTypeEnum : values) {
            if(boxApprovalTypeEnum.getType() == typeValue) {
                return boxApprovalTypeEnum;
            }
        }
        return null;
    }
}
