package cn.iocoder.yudao.module.wealth.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * Member 错误码枚举类
 * <p>
 * member 系统，使用 1-004-000-000 段
 */
public interface ErrorCodeConstants {
    // 处理过此异常
    ErrorCode RECEIVABLE_NOT_EXISTS = new ErrorCode(1004520001, "wealth.receivable_not_exists");

    ErrorCode RECEIPT_NOT_EXISTS = new ErrorCode(1004520002, "wealth.receipt_not_exists");

    ErrorCode RECEIPT_VERIFICATION = new ErrorCode(1004520003, "wealth.receipt_verification");

    ErrorCode RECEIPT_VERIFICATION_NOT = new ErrorCode(1004520004, "wealth.receipt_verification_not");

    ErrorCode PAYABLE_NOT_EXISTS = new ErrorCode(1004520005, "wealth.payable_not_exists");

    ErrorCode PAYMENT_NOT_EXISTS = new ErrorCode(1004520006, "wealth.payment_not_exists");

    ErrorCode PAYMENT_NOT_STATUS = new ErrorCode(1004520007, "wealth.payment_not_status");

    ErrorCode PAYMENT_NOT_UPDATE = new ErrorCode(1004520008, "wealth.payment_not_update");

    ErrorCode PAYMENT_VERIFICATION = new ErrorCode(1004520009, "wealth.payment_verification");

    ErrorCode PAYMENT_VERIFICATION_ERROR = new ErrorCode(1004520010, "wealth.payment_verification_error");

    ErrorCode RECEIVABLE_NOT_NULL = new ErrorCode(1004520011, "wealth.receivable_not_null");

    /*

     */
    ErrorCode ORDER_ID_NULL = new ErrorCode(1004520011, "订单编号为空");

    ErrorCode BILLING_INFO_NOT_COMPLETE = new ErrorCode(1004520012, "wealth.billing_info_not_complete");

    ErrorCode THIS_RECEIPT_NOT_STAY_INVOICE_STATE = new ErrorCode(1004520013, "wealth.this_receipt_not_stay_invoice_state");

    ErrorCode RECEIPT_ITEM_NOT_EXISTS = new ErrorCode(1004520014, "wealth.receipt_item_not_exists");

    ErrorCode PAYMENT_EXPORT_TYPE_NOT = new ErrorCode(1004520015, "wealth.payment_export_type_not");

    ErrorCode PAYMENT_VERIFY_STATUS_ERROR = new ErrorCode(1004520016, "wealth.payment_verify_status_error");

    ErrorCode RECEIPTITEM_NOT_EXISTS = new ErrorCode(1004520017, "wealth.receiptitem.not.exists");

    ErrorCode RECEIPTITEM_VERIFICATION = new ErrorCode(1004520018, "wealth.receiptitem_verification");

    ErrorCode RECEIPT_ACCOUNT_NOT_EXISTS = new ErrorCode(1004520019, "wealth.receipt_account_not_exists");

    ErrorCode RECEIPT_STATUS_NOT_EXISTS = new ErrorCode(1004520020, "wealth.receipt_status_not_exists");

    ErrorCode RECEIVABLE_DISCOUNT_NOT_EXISTS = new ErrorCode(1004520021, "wealth.receivable_discount_not_exists");

    ErrorCode RECEIVABLE_DELETED = new ErrorCode(1004520022, "wealth.receivable_deleted");

    ErrorCode RECEIVABLE_WRITE_OFF_ING = new ErrorCode(1004520023, "wealth.receivable_write_off_ing");

    ErrorCode RECEIPT_CURRENCY_NOT_EXISTS = new ErrorCode(1004520024, "wealth.currency_not_exists");

    ErrorCode RECEIPT_CURRENCY_DIFF_NOT_EXISTS = new ErrorCode(1004520025, "wealth.currency_diff_not_exists");

    ErrorCode RECEIPT_CURRENCY_DIFF_BIG = new ErrorCode(1004520026, "wealth.currency_diff_big");

    ErrorCode RECEIPT_WRITE_OFF_STATUS_NOT = new ErrorCode(1004520027, "wealth.write_off_status_not");

    ErrorCode RECEIPT_NOT_WRITE_OFF_ITEM_NOT_EXISTS = new ErrorCode(1004520028, "wealth.receipt_not_write_off_item_not_exists");

    ErrorCode RECEIPT_STATUS_NOT_WRITE_OFF = new ErrorCode(1004520029, "wealth.receipt_status_not_write_off");

    ErrorCode RECEIPT_STATUS_NOT_ADD_ITEM = new ErrorCode(1004520030, "wealth.receipt_status_not_add_item");
    ErrorCode ORDER_ITEM_ID_NOT_NULL = new ErrorCode(1004520031, "order.item.id.not.null");
    ErrorCode RECEIPT_APPROVING = new ErrorCode(1004520032, "订单正在审核中,不能发起新的申请");

    ErrorCode PAYMENT_APPROVING = new ErrorCode(1004520032, "付单正在审核中,不能发起新的申请");
    ErrorCode RECEIPT_NOT_FOUND = new ErrorCode(1004520033, "收款单不存在");
    ErrorCode RECEIPT_ITEM_NOT_FOUND = new ErrorCode(1004520034, "收款单明细不存在");

    // 佣金应付款不存在
    ErrorCode COMMISSION_PAYABLE_NOT_EXISTS = new ErrorCode(1004520035, "wealth.commission.payable.not.exists");
    // 佣金付款单不存在
    ErrorCode COMMISSION_PAYMENT_NOT_EXISTS = new ErrorCode(1004520036, "wealth.commission.payment.not.exists");
    ErrorCode BMP_NOT_EXISTS = new ErrorCode(1004520037, "流程业务未定义！请联系管理员！");

    ErrorCode BMP_NOT = new ErrorCode(1004520038, "流程不存在");
    ErrorCode BMP_CANCEL = new ErrorCode(1004520039, "流程已经取消或者已经完成");
    ErrorCode COMMISSION_PAYABLE_REQUEST_PAYMENT = new ErrorCode(1004520040, "已经请款的应付明细不能再次请款");
    ErrorCode COMMISSION_PAYABLE_NOT_NULL = new ErrorCode(1004520041, "请款的应付明细不能为空");
    ErrorCode COMMISSION_PAYMENT_NOT_UPDATE = new ErrorCode(1004520042, "付款单状态不能修改");

    ErrorCode RECEIPT_WRITE_OFF_ALL_ING_ITEM_NOT_APPROVE = new ErrorCode(1004520043, "收款单正在核销中");
    ErrorCode RECEIPT_WRITE_OFF_ALL_SUCCESS_ITEM_NOT_APPROVE = new ErrorCode(1004520044, "收款单已经核销");

    ErrorCode RECEIPT_ITEM_STATE_WRITE_OFF__NOT_APPROVE = new ErrorCode(1004520035, "收款单明细在待核销状态");
    ErrorCode RECEIPT_ITEM_STATE_WRITE_OFF_SUCCESS_NOT_APPROVE = new ErrorCode(1004520035, "收款单明细已经核销");

    ErrorCode RECEIPT_ITEM_WRITE_OFF_ING = new ErrorCode(1004520036, "存在未完成核销的银行实收明细");

    ErrorCode RECEIPT_ALL_WRITE_OFF_ING = new ErrorCode(1004520037, "该收款单正在审核中,不许核销或者反核销");

    ErrorCode RECEIVABLE_REMOVE_BIND_RECEIPT = new ErrorCode(1004520038, "应收已经绑定收款单无法删除");

    ErrorCode RECEIVABLE_CUSTOMER_DIFF = new ErrorCode(1004520039, "不同自编号订单请分开制作收款单");

    ErrorCode RECEIVABLE_ORDER_EXITS_NOT = new ErrorCode(1004520040, "应收对应的订单不存在");

    ErrorCode RECEIVABLE_WRITE_OFF_ING_NO_NEED_TO_PACK = new ErrorCode(1004520038, "wealth.receivable_write_off_ing_no_need_to_pack");


}
