package cn.iocoder.yudao.module.wealth.enums;

import cn.hutool.core.util.ArrayUtil;
import cn.iocoder.yudao.framework.common.util.json.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@AllArgsConstructor
@Getter
public enum PaymentStatusEnum implements IntArrayValuable {
    DRAFT(0, "草稿", "DRAFT"),
    APPROVE_ING(1, "审核中", "APPROVE_ING"),
    APPROVE_FAIL(2, "审批驳回", "APPROVE_FAIL"),
    APPROVE_NEGATION(3, "反审核中", "APPROVE_NEGATION"),
    WRITE_OFF_WAITING(4, "待核销", "WRITE_OFF_WAITING"),
    WRITE_OFF_APPROVE_ING(5, "核销审核中", "WRITE_OFF_APPROVE_ING"),
    WRITE_OFF(6, "已核销", "WRITE_OFF"),
    WRITE_OFF_NO_APPROVE_ING(7, "反核销审核中", "WRITE_OFF_NO_APPROVE_ING");


    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(PaymentStatusEnum::getValue).toArray();

    /**
     * 状态
     */
    private final Integer value;
    /**
     * 状态中文
     */
    private final String nameZh;

    /**
     * 状态英语
     */
    private final String nameEn;


    public static PaymentStatusEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(orderStatus -> orderStatus.getValue().equals(value), PaymentStatusEnum.values());
    }

    @Override
    public int[] array() {
        return ARRAYS;
    }

}
