package cn.iocoder.yudao.module.wealth.enums;

import cn.hutool.core.util.ArrayUtil;
import cn.iocoder.yudao.framework.common.util.json.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@AllArgsConstructor
@Getter
public enum ReceiptItemStatusEnum implements IntArrayValuable {
    DRAFT(0, "待核销", "DRAFT"),
    WRITE_OFF(1, "已核销", "WRITE_OFF"),
    WRITE_OFF_APPROVE_ING(2, "核销审核中", "WRITE_OFF_APPROVE_ING"),
    WRITE_OFF_NO_APPROVE_ING(3, "反核销审核中", "WRITE_OFF_NO_APPROVE_ING");


    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(ReceiptItemStatusEnum::getValue).toArray();

    /**
     * 状态
     */
    private final Integer value;
    /**
     * 状态中文
     */
    private final String nameZh;

    /**
     * 状态英语
     */
    private final String nameEn;


    public static ReceiptItemStatusEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(orderStatus -> orderStatus.getValue().equals(value), ReceiptItemStatusEnum.values());
    }

    @Override
    public int[] array() {
        return ARRAYS;
    }

}
