package cn.iocoder.yudao.module.wealth.enums;

import cn.hutool.core.util.ArrayUtil;
import cn.iocoder.yudao.framework.common.util.json.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@AllArgsConstructor
@Getter
public enum ReceiptStatusEnum implements IntArrayValuable {
    DRAFT(0, "草稿", "DRAFT"),
    RECEIPT_WAITING(1, "待收款", "RECEIPT_WAITING"),
    WRITE_OFF_WAITING(2, "待核销", "write_off_waiting"),
    WRITE_OFF_PART_ING(3, "已部分核销", "write_off_part_ing"),
    WRITE_OFF_ALL_SUCCESS(4, "已核销", "WRITE_OFF_ALL_SUCCESS"),
    WRITE_OFF_ALL_OPENING(5, "已核销,待开票", "WRITE_OFF_ALL_OPENING"),
    OPEN_BILL(6, "已开票", "OPEN_BILL"),
    APPROVE_ING(7, "审核中", "APPROVE_ING"),
    APPROVE_FAIL(8, "审核失败", "APPROVE_FAIL"),
    APPROVE_NEGATION(9, "反审核中", "APPROVE_NEGATION"),
    WRITE_OFF_ALL_ING(10, "全部核销中", "WRITE_OFF_ALL_ING"),
    WRITE_OFF_ALL_NEGATION(11, "反核销审核中", "WRITE_OFF_ALL_NEGATION"),
    ;

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(ReceiptStatusEnum::getValue).toArray();

    /**
     * 状态
     */
    private final Integer value;
    /**
     * 状态中文
     */
    private final String nameZh;

    /**
     * 状态英语
     */
    private final String nameEn;


    public static ReceiptStatusEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(orderStatus -> orderStatus.getValue().equals(value), ReceiptStatusEnum.values());
    }

    @Override
    public int[] array() {
        return ARRAYS;
    }

}
