package cn.iocoder.yudao.module.wealth.service.paymentApproval;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.wealth.dal.dataobject.paymentApproval.PaymentApprovalDO;
import cn.iocoder.yudao.module.wealth.vo.paymentApproval.PaymentApprovalCreateReqVO;
import cn.iocoder.yudao.module.wealth.vo.paymentApproval.PaymentApprovalQueryVO;
import cn.iocoder.yudao.module.wealth.vo.paymentApproval.PaymentApprovalUpdateReqVO;

import javax.validation.Valid;
import java.util.Collection;
import java.util.List;

/**
 * 付款单审核 Service 接口
 *
 * @author 系统管理员
 */
public interface PaymentApprovalService extends IService<PaymentApprovalDO> {

    /**
     * 创建付款单审核
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPaymentApproval(@Valid PaymentApprovalCreateReqVO createReqVO);

    /**
     * 更新付款单审核
     *
     * @param updateReqVO 更新信息
     */
    void updatePaymentApproval(@Valid PaymentApprovalUpdateReqVO updateReqVO);

    /**
     * 删除付款单审核
     *
     * @param id 编号
     */
    void deletePaymentApproval(Long id);

    /**
     * 获得付款单审核
     *
     * @param id 编号
     * @return 付款单审核
     */
    PaymentApprovalDO getPaymentApproval(Long id);

    /**
     * 获得付款单审核列表
     *
     * @param ids 编号
     * @return 付款单审核列表
     */
    List<PaymentApprovalDO> getPaymentApprovalList(Collection<Long> ids);

    /**
     * 获得付款单审核分页
     *
     * @param page  分页查询
     * @param query 查询
     * @return 付款单审核分页
     */
    PageResult<PaymentApprovalDO> getPaymentApprovalPage(PaymentApprovalQueryVO query, PageVO page);

    /**
     * 获得付款单审核列表, 用于 Excel 导出
     *
     * @param query 查询
     * @return 付款单审核列表
     */
    List<PaymentApprovalDO> getPaymentApprovalList(PaymentApprovalQueryVO query);
}
