package cn.iocoder.yudao.module.wealth.vo.commissionPayable;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订单佣金应付款 Response VO
* @author 郑屹
*/
@Data
@ApiModel("管理后台 - 订单佣金应付款 Response VO")
public class CommissionPayableBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("自编号")
    @ApiModelProperty(value = "自编号")
    private String payableNo;

    @ExcelProperty("付款单id")
    @ApiModelProperty(value = "付款单id")
    private Long paymentId;

    @ExcelProperty("付款单号")
    @ApiModelProperty(value = "付款单号")
    private String paymentNo;

    @ExcelProperty("订单id")
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ExcelProperty("订单号")
    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ExcelProperty("订单项商品ID")
    @ApiModelProperty(value = "订单项商品ID")
    private Long orderItemId;

    @ExcelProperty("中文标题")
    @ApiModelProperty(value = "中文标题")
    private String titleZh;

    @ExcelProperty("英文标题")
    @ApiModelProperty(value = "英文标题")
    private String titleEn;

    @ExcelProperty("数量")
    @ApiModelProperty(value = "数量")
    private Integer quantity;

    @ExcelProperty("箱数")
    @ApiModelProperty(value = "箱数")
    private Integer num;

    @ExcelProperty("体积/重量")
    @ApiModelProperty(value = "体积/重量")
    private BigDecimal weight;

    @ExcelProperty("体积")
    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ExcelProperty("单价")
    @ApiModelProperty(value = "单价")
    private BigDecimal unitPrice;

    @ExcelProperty("客户id")
    @ApiModelProperty(value = "客户id")
    private Long customerId;

    @ExcelProperty("客户名称")
    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ExcelProperty("佣金费用类型(字典:commission_fee_type)")
    @ApiModelProperty(value = "佣金费用类型(字典:commission_fee_type)")
    private Integer feeType;

    @ExcelProperty("金额")
    @ApiModelProperty(value = "金额")
    private java.math.BigDecimal totalAmount;

    @ExcelProperty("币货币id")
    @ApiModelProperty(value = "币货币id")
    private Long currencyId;

    @ExcelProperty("备注")
    @ApiModelProperty(value = "备注")
    private String remark;

    @ExcelProperty("汇率")
    @ApiModelProperty(value = "汇率")
    private String exchangeRate;

    @ExcelProperty("税率")
    @ApiModelProperty(value = "税率")
    private java.math.BigDecimal taxRate;

    @ExcelProperty("税价合计")
    @ApiModelProperty(value = "税价合计")
    private java.math.BigDecimal total;

    @ExcelProperty("收款状态（0未付款，1付款中，2已付款）")
    @ApiModelProperty(value = "收款状态（0未付款，1付款中，2已付款）")
    private Integer state;

    @ExcelProperty("数据来源（pc端，mobile端）")
    @ApiModelProperty(value = "数据来源（pc端，mobile端）")
    private String source;

    @ExcelProperty("操作步骤")
    @ApiModelProperty(value = "操作步骤")
    private Long stepsId;

    @ExcelProperty("额外费用")
    @ApiModelProperty(value = "额外费用")
    private Integer extraCost;

    @ExcelProperty("发票号")
    @ApiModelProperty(value = "发票号", required = true)
    private String invoiceNumber;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("始发地仓库ID")
    @ApiModelProperty(value = "始发地仓库ID")
    private Long startWarehouseId;

    @ExcelProperty("目的地仓库ID")
    @ApiModelProperty(value = "目的地仓库ID")
    private Long destWarehouseId;

    @ExcelProperty("运输方式")
    @ApiModelProperty(value = "运输方式")
    private Long transportId;

}
