package cn.iocoder.yudao.module.wealth.vo.commissionPayable;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 订单佣金应付款 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class CommissionPayableBaseVO {

    @ApiModelProperty(value = "自编号")
    private String payableNo;

    @ApiModelProperty(value = "付款单id")
    private Long paymentId;

    @ApiModelProperty(value = "付款单号")
    private String paymentNo;

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "订单项商品ID")
    private Long orderItemId;

    @ApiModelProperty(value = "中文标题")
    private String titleZh;

    @ApiModelProperty(value = "英文标题")
    private String titleEn;

    @ApiModelProperty(value = "数量")
    private Integer quantity;

    @ApiModelProperty(value = "箱数")
    private Integer num;

    @ApiModelProperty(value = "体积/重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "单价")
    private BigDecimal unitPrice;

    @ApiModelProperty(value = "客户id")
    private Long customerId;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "佣金费用类型(字典:commission_fee_type)")
    private Integer feeType;

    @ApiModelProperty(value = "金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "币货币id")
    private Long currencyId;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "汇率")
    private String exchangeRate;

    @ApiModelProperty(value = "税率")
    private BigDecimal taxRate;

    @ApiModelProperty(value = "税价合计")
    private BigDecimal total;

    @ApiModelProperty(value = "收款状态（0未付款，1付款中，2已付款）")
    private Integer state;

    @ApiModelProperty(value = "数据来源（pc端，mobile端）")
    private String source;

    @ApiModelProperty(value = "操作步骤")
    private Long stepsId;

    @ApiModelProperty(value = "额外费用")
    private Integer extraCost;

    @ApiModelProperty(value = "发票号")
    private String invoiceNumber;

    @ApiModelProperty(value = "始发地仓库ID")
    private Long startWarehouseId;

    @ApiModelProperty(value = "目的地仓库ID")
    private Long destWarehouseId;

    @ApiModelProperty(value = "运输方式")
    private Long transportId;

    /**
     * 流程状态：1 处理中 2 通过 3 不通过 4 取消
     */
    private Integer bmpStatus;

}
