package cn.iocoder.yudao.module.wealth.vo.commissionPayable;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 订单佣金应付款查询 VO")
public class CommissionPayableQueryVO {

    @ApiModelProperty(value = "自编号")
    private String payableNo;

    @ApiModelProperty(value = "付款单id")
    private Long paymentId;

    @ApiModelProperty(value = "付款单号")
    private String paymentNo;

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "订单项商品ID")
    private Long orderItemId;

    @ApiModelProperty(value = "客户id")
    private Long customerId;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "佣金费用类型(字典:commission_fee_type)")
    private Integer feeType;

    @ApiModelProperty(value = "金额")
    private java.math.BigDecimal totalAmount;

    @ApiModelProperty(value = "币货币id")
    private Long currencyId;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "汇率")
    private String exchangeRate;

    @ApiModelProperty(value = "税率")
    private java.math.BigDecimal taxRate;

    @ApiModelProperty(value = "税价合计")
    private java.math.BigDecimal total;

    @ApiModelProperty(value = "收款状态（0未付款，1付款中，2已付款）")
    private Integer state;

    @ApiModelProperty(value = "数据来源（pc端，mobile端）")
    private String source;

    @ApiModelProperty(value = "操作步骤")
    private Long stepsId;

    @ApiModelProperty(value = "额外费用")
    private Integer extraCost;

    @ApiModelProperty(value = "发票号")
    private String invoiceNumber;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "始发地仓库ID")
    private Long startWarehouseId;

    @ApiModelProperty(value = "目的地仓库ID")
    private Long destWarehouseId;

    @ApiModelProperty(value = "运输方式")
    private Long transportId;

    @ApiModelProperty(value = "搜索关键字(包括：客户名称、手机号、客户编号)")
    private String searchKey;

    @ApiModelProperty(value = "id集合")
    private List<Long> ids;




}
