package cn.iocoder.yudao.module.wealth.vo.commissionPayable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@ApiModel("管理后台 - 佣金应付单明细 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CommissionPayableReqVO extends CommissionPayableBaseVO {

    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;

    @ApiModelProperty(value = "汇率")
    private String exchangeRate;

    @ApiModelProperty(value = "税率")
    private BigDecimal taxRate;

    @ApiModelProperty(value = "税价合计")
    private BigDecimal total;

    @ApiModelProperty(value = "发票号", required = true)
    @NotNull(message = "发票号不能为空")
    private String invoiceNumber;


}
