package cn.iocoder.yudao.module.wealth.vo.commissionPayment;

import cn.iocoder.yudao.module.wealth.vo.commissionPayable.CommissionPayableBackVO;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 佣金付款单 Response VO
* @author 郑屹
*/
@Data
@ApiModel("管理后台 - 佣金付款单 Response VO")
public class CommissionPaymentBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("付款单号")
    @ApiModelProperty(value = "付款单号")
    private String paymentNo;

    @ExcelProperty("部门Id")
    @ApiModelProperty(value = "部门Id")
    private Long departmentId;

    @ExcelProperty("部门名称")
    @ApiModelProperty(value = "部门名称")
    private String departmentName;

    @ExcelProperty("业务员")
    @ApiModelProperty(value = "业务员")
    private Long salesmanId;

    @ExcelProperty("业务员名称")
    @ApiModelProperty(value = "业务员名称")
    private String salesmanName;

    @ExcelProperty("客户id")
    @ApiModelProperty(value = "客户id")
    private Long customerId;

    @ExcelProperty("客户名称")
    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ExcelProperty("客户银行")
    @ApiModelProperty(value = "客户银行")
    private String customerBank;

    @ExcelProperty("客户银行账号")
    @ApiModelProperty(value = "客户银行账号")
    private String customerBankAccount;

    @ExcelProperty("客户银行账户名")
    @ApiModelProperty(value = "客户银行账户名")
    private String customerBankAccountName;

    @ExcelProperty("账户类型")
    @ApiModelProperty(value = "账户类型")
    private String customerAccountType;

    @ExcelProperty("银行代码")
    @ApiModelProperty(value = "银行代码")
    private String customerBankCode;

    @ExcelProperty("银行地址")
    @ApiModelProperty(value = "银行地址")
    private String customerBankAddress;

    @ExcelProperty("申请日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "申请日期")
    private Date applicationAt;

    @ExcelProperty("最迟付款日")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "最迟付款日")
    private Date latestPayAt;

    @ExcelProperty("账单号")
    @ApiModelProperty(value = "账单号")
    private String accountNumber;

    @ExcelProperty("发票状态（0未开票，1已开票）")
    @ApiModelProperty(value = "发票状态（0未开票，1已开票）")
    private Integer invoiceStatus;

    @ExcelProperty("发票号")
    @ApiModelProperty(value = "发票号")
    private String invoiceNumber;

    @ExcelProperty("付款单状态（1待审核，2已审核待核销，3已核销）")
    @ApiModelProperty(value = "付款单状态（1待审核，2已审核待核销，3已核销）")
    private Integer state;

    @ExcelProperty("付款单添加人id")
    @ApiModelProperty(value = "付款单添加人id")
    private Long paymentAddId;

    @ExcelProperty("付款单添加人名称")
    @ApiModelProperty(value = "付款单添加人名称")
    private String paymentAddBy;

    @ExcelProperty("审核人id")
    @ApiModelProperty(value = "审核人id")
    private Long reviewId;

    @ExcelProperty("审核人名称")
    @ApiModelProperty(value = "审核人名称")
    private String reviewName;

    @ExcelProperty("核销人id")
    @ApiModelProperty(value = "核销人id")
    private Long writeOffId;

    @ExcelProperty("核销人名称")
    @ApiModelProperty(value = "核销人名称")
    private String writeOffName;

    @ExcelProperty("审核日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "审核日期")
    private Date reviewAt;

    @ExcelProperty("核销日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "核销日期")
    private Date writeOffAt;

    @ExcelProperty("数据来源（pc端，mobile端）")
    @ApiModelProperty(value = "数据来源（pc端，mobile端）")
    private String source;

    @ExcelProperty("结算方式")
    @ApiModelProperty(value = "结算方式")
    private Integer settlementType;


    @ApiModelProperty(value = "审批建议")
    private String comment;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;


    @ApiModelProperty(value = "流程状态：1 处理中 2 通过 3 不通过 4 取消")
    private Integer bmpStatus;


    @ApiModelProperty(value = "流程状态：1 处理中 2 通过 3 不通过 4 取消")
    private String bmpId;

    @TableField(exist = false)
    @ApiModelProperty(value = "应付明细")
    private List<CommissionPayableBackVO> payableBackVOList;

    @TableField(exist = false)
    @ApiModelProperty(value = "税价合计付款金额")
    private BigDecimal totalAmount;

}
