package cn.iocoder.yudao.module.wealth.vo.commissionPayment;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 佣金付款单 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class CommissionPaymentBaseVO {

    @ApiModelProperty(value = "付款单号")
    private String paymentNo;

    @ApiModelProperty(value = "部门Id")
    private Long departmentId;

    @ApiModelProperty(value = "部门名称")
    private String departmentName;

    @ApiModelProperty(value = "业务员")
    private Long salesmanId;

    @ApiModelProperty(value = "业务员名称")
    private String salesmanName;

    @ApiModelProperty(value = "客户id")
    private Long customerId;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "客户银行")
    private String customerBank;

    @ApiModelProperty(value = "客户银行账号")
    private String customerBankAccount;

    @ApiModelProperty(value = "客户银行账户名")
    private String customerBankAccountName;

    @ApiModelProperty(value = "账户类型")
    private String customerAccountType;

    @ApiModelProperty(value = "银行代码")
    private String customerBankCode;

    @ApiModelProperty(value = "银行地址")
    private String customerBankAddress;

    @ApiModelProperty(value = "申请日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date applicationAt;

    @ApiModelProperty(value = "最迟付款日")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date latestPayAt;

    @ApiModelProperty(value = "账单号")
    private String accountNumber;

    @ApiModelProperty(value = "发票状态（0未开票，1已开票）")
    private Integer invoiceStatus;

    @ApiModelProperty(value = "发票号")
    private String invoiceNumber;

    @ApiModelProperty(value = "付款单状态（1待审核，2已审核待核销，3已核销）")
    private Integer state;

    @ApiModelProperty(value = "付款单添加人id")
    private Long paymentAddId;

    @ApiModelProperty(value = "付款单添加人名称")
    private String paymentAddBy;

    @ApiModelProperty(value = "审核人id")
    private Long reviewId;

    @ApiModelProperty(value = "审核人名称")
    private String reviewName;

    @ApiModelProperty(value = "核销人id")
    private Long writeOffId;

    @ApiModelProperty(value = "核销人名称")
    private String writeOffName;

    @ApiModelProperty(value = "审核日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date reviewAt;

    @ApiModelProperty(value = "核销日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date writeOffAt;

    @ApiModelProperty(value = "数据来源（pc端，mobile端）")
    private String source;

    @ApiModelProperty(value = "结算方式")
    private Integer settlementType;


    @ApiModelProperty(value = "审批建议")
    private String comment;

    @ApiModelProperty(value = "流程状态：1 处理中 2 通过 3 不通过 4 取消")
    private Integer bmpStatus;


    @ApiModelProperty(value = "流程状态：1 处理中 2 通过 3 不通过 4 取消")
    private String bmpId;
}
