package cn.iocoder.yudao.module.wealth.vo.receipt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
@ApiModel("开票信息更新")
public class InvoicingUpdateVO {

    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;

    @ApiModelProperty(value = "发票抬头")
    @NotBlank(message = "发票抬头不能为空")
    private String invoice;

    @ApiModelProperty(value = "纳税人识别号")
    @NotBlank(message = "纳税人识别号不能为空")
    private String taxpayer;

    @ApiModelProperty(value = "开户行")
    @NotBlank(message = "开户行不能为空")
    private String accountBank;

    @ApiModelProperty(value = "账号")
    @NotBlank(message = "账号不能为空")
    private String accountName;

    @ApiModelProperty(value = "开票地址、电话")
    @NotBlank(message = "开票地址、电话")
    private String addressPhone;

    @ApiModelProperty(value = "项目")
    private String projectName;

    @ApiModelProperty(value = "税率")
    private BigDecimal taxRate;

    @ApiModelProperty(value = "发票号码")
    @NotBlank(message = "发票号码不能为空")
    private String invoiceNumber;

    @ApiModelProperty(value = "开票类型(字典表 invoicing_type)")
    @NotNull(message = "开票类型不能为空")
    private Integer invoicingTypeId;

    @ApiModelProperty(value = "开票类型名称")
    private String invoicingType;

    @ApiModelProperty(value = "开票备注")
    private String invoicingRemark;
}
