package cn.iocoder.yudao.module.wealth.vo.receiptAccount;

import cn.iocoder.yudao.framework.jackson.core.databind.CustomDecimalSerialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 收款单收款账户 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 收款信息 Response VO")
public class ReceiptAccountBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;


    @ApiModelProperty(value = "收款单Id")
    private Long receiptId;

    @ApiModelProperty(value = "应收货币id")
    private Long currencyId;

    @ApiModelProperty(value = "应收金额")
    private BigDecimal receivableAmount;

    @ApiModelProperty(value = "核销基准金额汇率")
    private BigDecimal writeOffRate;

    @ApiModelProperty(value = "核销基准金额")
    @JsonSerialize(using = CustomDecimalSerialize.class)
    private BigDecimal writeOffAmount;

    @ApiModelProperty(value = "平台收款账户id")
    private Integer platformAccountId;

    @ApiModelProperty(value = "平台收款账户")
    private String platformAccountNo;

    @ApiModelProperty(value = "平台收款账户名称")
    private String platformAccountName;

    @ApiModelProperty(value = "平台收款账户銀行名称")
    private String platformAccountBlankName;

    @ApiModelProperty(value = "計劃收款货币id")
    private Long collectionCurrencyId;

    @ApiModelProperty(value = "計劃收款汇率")
    private BigDecimal collectionRate;

    @ApiModelProperty(value = "計劃收款金额")
    @JsonSerialize(using = CustomDecimalSerialize.class)
    private BigDecimal collectionAmount;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
