package cn.iocoder.yudao.module.wealth.vo.receiptAccount;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 收款单收款账户查询 VO")
public class ReceiptAccountQueryVO {

    @ApiModelProperty(value = "收款单Id")
    private Long receiptId;

    @ApiModelProperty(value = "货币id")
    private Long currencyId;

    @ApiModelProperty(value = "平台收款账户id")
    private Integer platformAccountId;

    @ApiModelProperty(value = "平台收款账户")
    private String platformAccountNo;

    @ApiModelProperty(value = "平台收款账户名称")
    private String platformAccountName;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
