package cn.iocoder.yudao.module.wealth.vo.receiptApproval;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 收款单或者收款明细审核 Response VO
 *
 * @author 系统管理员
 */
@Data
@ApiModel("管理后台 - 收款单或者收款明细审核 Response VO")
public class ReceiptApprovalBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("收款单ID")
    @ApiModelProperty(value = "收款单ID", required = true)
    private Long receiptId;

    @ExcelProperty("收款单编号")
    @ApiModelProperty(value = "收款单编号", required = true)
    private String receiptNo;

    @ExcelProperty("收款单明细ID")
    @ApiModelProperty(value = "收款单明细ID")
    private Long receiptItemId;

    @ExcelProperty("流程表单实例ID")
    @ApiModelProperty(value = "流程表单实例ID", required = true)
    private String bmpId;

    @ExcelProperty("申请原因")
    @ApiModelProperty(value = "申请原因")
    private String reason;

    @ExcelProperty("流程实例KEY类型参考:WorkFlowEmus")
    @ApiModelProperty(value = "流程实例KEY类型参考:WorkFlowEmus", required = true)
    private String bmpKey;

    @ExcelProperty("状态：1 处理中 2 通过 3 不通过 4 取消")
    @ApiModelProperty(value = "状态：1 处理中 2 通过 3 不通过 4 取消")
    private Integer status;

    @ExcelProperty("处理结果")
    @ApiModelProperty(value = "处理结果")
    private String processingResults;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
