package cn.iocoder.yudao.module.wealth.vo.receiptApproval;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 收款单或者收款明细审核 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ReceiptApprovalBaseVO {

    @ApiModelProperty(value = "收款单ID", required = true)
    @NotNull(message = "收款单ID不能为空")
    private Long receiptId;

    @ApiModelProperty(value = "收款单编号", required = true)
    @NotNull(message = "收款单编号不能为空")
    private String receiptNo;

    @ApiModelProperty(value = "收款单ID")
    private Long receiptItemId;

    @ApiModelProperty(value = "流程表单实例ID", required = true)
    @NotNull(message = "流程表单实例ID不能为空")
    private String bmpId;

    @ApiModelProperty(value = "流程实例KEY类型参考:WorkFlowEmus", required = true)
    @NotNull(message = "流程实例KEY类型参考:WorkFlowEmus不能为空")
    private String bmpKey;

    @ExcelProperty("申请原因")
    @ApiModelProperty(value = "申请原因")
    private String reason;

    @ApiModelProperty(value = "状态：1 处理中 2 通过 3 不通过 4 取消")
    private Integer status;

    @ApiModelProperty(value = "处理结果")
    private String processingResults;

}
