package cn.iocoder.yudao.module.wealth.vo.receiptApproval;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 收款单或者收款明细审核查询 VO")
public class ReceiptApprovalQueryVO {

    @ApiModelProperty(value = "收款单ID")
    private Long receiptId;

    @ApiModelProperty(value = "收款单编号")
    private String receiptNo;

    @ApiModelProperty(value = "收款单ID")
    private Long receiptItemId;

    @ApiModelProperty(value = "流程表单实例ID")
    private String bmpId;

    @ApiModelProperty(value = "流程实例KEY类型参考:WorkFlowEmus")
    private String bmpKey;

    @ApiModelProperty(value = "状态：1 处理中 2 通过 3 不通过 4 取消")
    private Integer status;

    @ApiModelProperty(value = "处理结果")
    private String processingResults;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
