package cn.iocoder.yudao.module.wealth.vo.receiptItem;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 收款单明细 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 收款单明细 Response VO")
public class ReceiptItemBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("收款单id")
    @ApiModelProperty(value = "收款单id")
    private Long receiptId;

    @ExcelProperty("收款账号")
    @ApiModelProperty(value = "收款账号")
    private String accountNo;

    @ApiModelProperty(value = "当次实收金额不含税")
    @ExcelProperty("当次实收金额不含税")
    private java.math.BigDecimal amount;

    @ApiModelProperty(value = "税点")
    @ExcelProperty("税点")
    private java.math.BigDecimal taxPoint;

    @ApiModelProperty(value = "当次实收金额含税")
    @ExcelProperty("当次实收金额含税")
    private java.math.BigDecimal taxAmount;

    @ExcelProperty("收款账号名称")
    @ApiModelProperty(value = "收款账号名称")
    private String accountName;

    @ExcelProperty("收款账号银行名称")
    @ApiModelProperty(value = "收款账号银行名称")
    private String accountBankName;

    @ExcelProperty("货币id")
    @ApiModelProperty(value = "货币id")
    private Long currencyId;



    @ExcelProperty("创建时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /*
    创建人
    */
    private String creator;


    @ExcelProperty("收款汇率")
    @ApiModelProperty(value = "收款汇率")
    private String rate;

    @ExcelProperty("实收日期")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "实收日期")
    private Date amountDate;

    @ExcelProperty("水单号")
    @ApiModelProperty(value = "水单号")
    private String billNo;

    @ExcelProperty("附件多个,分隔")
    @ApiModelProperty(value = "附件多个,分隔")
    private String attr;

    @ExcelProperty("状态0待核销，1已核销，2核销审核中，3反核销审核中")
    @ApiModelProperty(value = "状态0待核销，1已核销，2核销审核中，3反核销审核中")
    private Integer status;

    @ExcelProperty("核销货币id")
    @ApiModelProperty(value = "核销货币id")
    private Long writeOffCurrencyId;

    @ExcelProperty("核销金额")
    @ApiModelProperty(value = "核销金额")
    private java.math.BigDecimal writeOffAmount;


    @ExcelProperty("当前流程ID")
    @ApiModelProperty(value = "当前流程ID")
    private String bmpId;

    /*
     剩余金额
     */
    private  String syValue;


    /*
   提交审批时间
   */
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date createTimeBpm;

    /*
     提交审批人
     */
    private String createBpm;
    /*
     审批通过时间
     */
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date updateTimeBpm;


    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date updateTime;

    private String updater;



}
