package cn.iocoder.yudao.module.wealth.vo.receiptItem;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 收款单明细 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class ReceiptItemBaseVO {

    @ApiModelProperty(value = "收款单id")
    private Long receiptId;

    @ApiModelProperty(value = "收款账号")
    private String accountNo;

    @ApiModelProperty(value = "当次实收金额不含税")
    private java.math.BigDecimal amount;

    @ApiModelProperty(value = "税点")
    private java.math.BigDecimal taxPoint;
    
    @ApiModelProperty(value = "当次实收金额含税")
    private java.math.BigDecimal taxAmount;

    @ApiModelProperty(value = "收款账号名称")
    private String accountName;

    @ApiModelProperty(value = "收款账号银行名称")
    private String accountBankName;

    @ApiModelProperty(value = "货币id")
    private Long currencyId;

    @ApiModelProperty(value = "收款汇率")
    private String rate;

    @ApiModelProperty(value = "实收日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date amountDate;

    @ApiModelProperty(value = "水单号")
    private String billNo;

    @ApiModelProperty(value = "附件多个,分隔")
    private String attr;

    @ApiModelProperty(value = "状态0待核销，1已核销，2核销审核中，3反核销审核中")
    private Integer status;

    @ApiModelProperty(value = "核销货币id")
    private Long writeOffCurrencyId;

    @ApiModelProperty(value = "核销金额")
    private java.math.BigDecimal writeOffAmount;

}
