package cn.iocoder.yudao.module.wealth.vo.receiptItem;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 收款单明细查询 VO")
public class ReceiptItemQueryVO {

    @ApiModelProperty(value = "收款单id")
    private Long receiptId;

    @ApiModelProperty(value = "收款账号")
    private String accountNo;

    @ApiModelProperty(value = "当次实收金额")
    private java.math.BigDecimal amount;

    @ApiModelProperty(value = "税点")
    private java.math.BigDecimal taxPoint;

    @ApiModelProperty(value = "当次实收金额含税")
    private java.math.BigDecimal taxAmount;

    @ApiModelProperty(value = "收款账号名称")
    private String accountName;

    @ApiModelProperty(value = "货币id")
    private Long currencyId;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "收款汇率")
    private String rate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始实收日期")
    private Date beginAmountDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束实收日期")
    private Date endAmountDate;

    @ApiModelProperty(value = "水单号")
    private String billNo;

    @ApiModelProperty(value = "附件多个,分隔")
    private String attr;

    @ApiModelProperty(value = "状态0待核销，1已核销")
    private Integer status;

    @ApiModelProperty(value = "核销货币id")
    private Long writeOffCurrencyId;

    @ApiModelProperty(value = "核销金额")
    private java.math.BigDecimal writeOffAmount;

}
