package cn.iocoder.yudao.module.wealth.vo.receiptItem;

import cn.iocoder.yudao.framework.common.util.io.FileModel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/*
 */
@Data
@ApiModel("管理后台 - 银行收款单明细列表返回结果")
public class ReceiptItemResp {
    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 收款单id
     */
    private Long receiptId;
    /**
     * 收款账号
     */
    private String accountNo;
    /**
     * 当次实收金额不含税
     */
    private java.math.BigDecimal amount;
    /**
     * 税点
     */
    private java.math.BigDecimal taxPoint;
    /**
     * 当次实收金额含税
     */
    private java.math.BigDecimal taxAmount;
    /**
     * 收款账号名称
     */
    private String accountName;
    /**
     * 收款账号银行名称
     */
    private String accountBankName;
    /**
     * 货币id
     */
    private Long currencyId;
    /**
     * 收款汇率
     */
    private String rate;
    /**
     * 实收日期
     */
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date amountDate;
    /**
     * 水单号
     */
    private String billNo;
    /**
     * 附件多个,分隔
     */
    private String attr;
    private List<FileModel> attrList;
    /**
     * 状态0待核销，1已核销
     */
    private Integer status;
    /**
     * 核销货币id
     */
    private Long writeOffCurrencyId;
    /**
     * 核销金额
     */
    private java.math.BigDecimal writeOffAmount;

    /**
     * 流程审核状态
     */
    private Integer bmpStatus;
    /**
     * 当前流程ID
     */
    private String bmpId;

    /*
     主表中的收款单编号
     */
    private String receiptNo;

    /*
     订单ID
     */
    private long orderId;

    /*
     订单编号
     */
    private String orderNo;

    /*
     提单编号
     */
    private String tidanNo;

    /*
     创建人
     */
    private String creator;

    /*
     创建时间
     */
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /*
     提交审批人
     */
    private String createBpm;

    /*
     提交审批时间
     */
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date createTimeBpm;

    /*
     审批通过时间
     */
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date updateTimeBpm;


}
