package cn.iocoder.yudao.module.wealth.vo.receivableDiscount;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 应收款优惠信息 Response VO
 *
 * @author 系统管理员
 */
@Data
@ApiModel("管理后台 - 应收款优惠信息 Response VO")
public class ReceivableDiscountBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("应收款ID")
    @ApiModelProperty(value = "应收款ID")
    private Long receivableId;

    @ExcelProperty("优惠金额")
    @ApiModelProperty(value = "优惠金额")
    private java.math.BigDecimal discountTotal;

    @ExcelProperty("优惠备注")
    @ApiModelProperty(value = "优惠备注")
    private String discountRemark;

    @ExcelProperty("创建人姓名")
    @ApiModelProperty(value = "创建人姓名")
    private String creatorName;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
