package cn.iocoder.yudao.module.wealth.vo.receivableDiscount;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 应收款优惠信息查询 VO")
public class ReceivableDiscountQueryVO {

    @ApiModelProperty(value = "应收款ID")
    private Long receivableId;

    @ApiModelProperty(value = "优惠金额")
    private java.math.BigDecimal discountTotal;

    @ApiModelProperty(value = "优惠备注")
    private String discountRemark;

    @ApiModelProperty(value = "创建人姓名")
    private String creatorName;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
